--local unitWidth = 2048
local unitWidth = 2427
local unitHeight = 1536
local allowedLevelCutoff = 80 + 190
local maxLevelGuiBarRatio = 275/1296
local maxAspectRatio = maxLevelGuiBarRatio + unitWidth/(unitHeight-allowedLevelCutoff)
local lowMemoryBoundary = 996147200 -- 950 megas in bytes


return {
	{ name="Log", priority="info", output="all" },
	{ name="ArchiveManager",
		archives={
			-- Right not all the archive are hardcoded in the code. To be consistant
			-- we should put the archives here.
		},
		lowMemoryBoundary = lowMemoryBoundary,
		highConfiguration = "script/CompiledArchives_high.lua",
		lowConfiguration = "script/CompiledArchives_medium.lua",

		configuration = "script/CompiledArchives.lua",

		-- configuration = {
		-- 	"script/CompiledArchives.lua",
		-- }
	},
	{ name="Application",
		gameId="DeliciousEmilysMiracleOfLife",
        suppressAssert=true,
		gameVersion="1",
	},
	{ name="CheckInstance" },
	{ name="Lua",
		files = {
		},
	},
	{ name="DownloadManager" },
	{ name="DebugMenu", dev_only=true },
	{ name="AnimTree" },
	{ name="GameTree" },
	{ name="Random" },
	{ name="SettingsManager" },
	{ name="GameWindow",
		width=1366, height=768,
		builtForWidth=0, builtForHeight=unitHeight,
		unitWidth=0, unitHeight=unitHeight,
		minAspectRatio=4/3, maxAspectRatio=maxAspectRatio,
	},
	{ name="Renderer", restrictTextureSize=false, vertices=65535},
	{ name="InputHandler" },
	{ name="SoundManager" },
	{ name="SceneManager" },
	{ name="ResourceManager",
		lowMemoryBoundary = lowMemoryBoundary,
		-- Data configuration
		file = "script/Resources.lua",
		-- Old packages configuration
		compiledFile = "script/CompiledResources.lua",
		localizedCompiledFile = "script/LocalizedCompiledResources.lua",
		-- Atlas and bundles configuration
		highCompiledFile = "script/CompiledResources_high.lua",
		lowCompiledFile = "script/CompiledResources_medium.lua",
	},
	{ name="ParticleManager" },
	{ name="TaskManager", frameByFrame=true },
	{ name="ComponentMover", dev_only=true },
	{ name="CheatManager", dev_only=true },
	{ name="RunScripts" },
	{ name="PlayerManager", version="1.5", betaVersion="1" },
	{ name="DataGatherer", uploadInterval=300, datagatherUrl="http://delicious.playte.st/api/v1/log" },
	{ name="iCloud" },
	-- { name="Tracker", uploadInterval=10, uploaders={"GoogleAnalytics"}},
}
