manifestURL = "http://downloadserver.herokuapp.com/packages/query"

languageId =
{
	["Dutch"] = "4",
	["English"] = "2",
	["French"] = "16",
	["German"] = "8",
	["Italian"] = "12",
	["Portuguese"] = "6",
	["Spanish"] = "14",
	["Swedish"] = "10",
	["Russian"] = "18",
}

defaultMusicVolume = 1.0
defaultSoundVolume = 1.0
dialogFadeTime = 200
storyFadeDuration = 800
storyBarsDuration = 900
guiHudMoveHeight = 0
musicFadeOut_quick = 600
musicFadeDelay_quick = 300
musicFadeIn_quick = 600
musicFadeOut_slow = 1600
musicFadeDelay_slow = 1200
musicFadeIn_slow = 1600
sparkles_per_pixel = 1/40
--pixelsPerMeter = (2048 / 40) / 7 -- 1 screen = 1024 pix / 20 m (3.5 is for gameplay)
pixelsPerMeter = 2048 / 16
defaultMessageBalloonWidth = 550

pathSettings = {
	-- Slanting
	doSlanting = true,
	maxAxisDelta = 10,
	maxPointDelta = 12,
	maxSlope = 1/12,
	-- Rounding
	doRounding = true,
	roundingRadius = 25,
	anglePerArcPoint = math.pi*2 / 16,
}
doMagnifyTooltipSprite = true
defaultMagnifyTooltipItemScale = 1.7
globalThrowDuration = 420
globalMouseScore = 100
-- inAppPurchaseIds must be a GLOBAL.
inAppPurchaseIds = {}

function getBuyId(id)
	return inAppPurchaseIds[id] or id
end

-- Set the Firebase RemoteConfig defaults here
GH = GH or {}
GH.remoteConfig = GH.remoteConfig or {"buy_after_intro", "firstPayingShift_ROOM1", "first_intro"}

GH.ABTest = GH.ABTest or {}
GH.ABTest["buy_after_intro"] = "BuyButton_Test"
GH.ABTest["firstPayingShift_ROOM1"] = "Paywall_Test"
GH.ABTest["first_intro"] = "Intro_Test"

if (isKindle) then
	inAppPurchaseIds =
	{
		EPISODES_TEST  = "d15amazontest",
		EPISODES_ALL   = "d15amazonfullgame",
		EPISODES_PACK1 = "d15amazonrest1_2",
		EPISODES_PACK2 = "d15amazonrest3_4",
		EPISODES_PACK3 = "d15amazonrest5_6",
	}
elseif (isAndroidStore or isClean) then
	inAppPurchaseIds =
	{
		EPISODES_TEST  = "com.d15gp.test",
		EPISODES_ALL   = "com.d15gp.fullgame",
		EPISODES_PACK1 = "com.d15gp.rest1_2",
		EPISODES_PACK2 = "com.d15gp.rest3_4",
		EPISODES_PACK3 = "com.d15gp.rest5_6",
	}
elseif (isiPhone) then
	inAppPurchaseIds =
	{
		EPISODES_TEST  = "d15.ios.consumable.test",
        EPISODES_ALL   	= "d15.ios.fullgame",
		EPISODES_ALL_EUR   = "d15.ios.fullgame.eur",
        EPISODES_PACK1 = "d15.ios.rest1_2",
        EPISODES_PACK2 = "d15.ios.rest3_4",
        EPISODES_PACK3 = "d15.ios.rest5_6",
	}
elseif (isiPad) then
	inAppPurchaseIds =
	{
		EPISODES_TEST  = "d15.ios.consumable.test",
        EPISODES_ALL   = "d15.ios.fullgame",
		EPISODES_ALL_EUR   = "d15.ios.fullgame.eur",
        EPISODES_PACK1 = "d15.ios.rest1_2",
        EPISODES_PACK2 = "d15.ios.rest3_4",
        EPISODES_PACK3 = "d15.ios.rest5_6",
	}
elseif (isiOSUniversal) then
    inAppPurchaseIds =
	{
		EPISODES_TEST  = "d15.ios.consumable.test",
        EPISODES_ALL   = "d15.ios.fullgame",
		EPISODES_ALL_EUR   = "d15.ios.fullgame.eur",
        EPISODES_PACK1 = "d15.ios.rest1_2",
        EPISODES_PACK2 = "d15.ios.rest3_4",
        EPISODES_PACK3 = "d15.ios.rest5_6",
	}
end

achievementIds = {}
function getAchievementId(id)
	return achievementIds[id] or id
end

if (isKindle) then
	achievementIds =
	{
		["TROPHY_1"]  = "d15_kindle_collect1",
		["TROPHY_2"]  = "d15_kindle_collect2",
		["TROPHY_3"]  = "d15_kindle_collect3",
		["TROPHY_4"]  = "d15_kindle_collect4",
		["TROPHY_5"]  = "d15_kindle_collect5",
		["TROPHY_6"]  = "d15_kindle_collect6",
		["TROPHY_7"]  = "d15_kindle_collect7",
		["TROPHY_8"]  = "d15_kindle_collect8",
		["TROPHY_9"]  = "d15_kindle_collect9",
		["TROPHY_10"] = "d15_kindle_collect10",
		["TROPHY_11"] = "d15_kindle_collect11",
		["TROPHY_12"] = "d15_kindle_collect12",
		["TROPHY_13"] = "d15_kindle_collect13",
		["TROPHY_14"] = "d15_kindle_collect14",
		["TROPHY_15"] = "d15_kindle_collect15",
		["TROPHY_16"] = "d15_kindle_collect16",
	}
elseif (isAndroidStore) then
	achievementIds =
	{
		["TROPHY_1"]  = "CgkI0-DPvs8GEAIQAQ",
		["TROPHY_2"]  = "CgkI0-DPvs8GEAIQAg",
		["TROPHY_3"]  = "CgkI0-DPvs8GEAIQAw",
		["TROPHY_4"]  = "CgkI0-DPvs8GEAIQBA",
		["TROPHY_5"]  = "CgkI0-DPvs8GEAIQBg",
		["TROPHY_6"]  = "CgkI0-DPvs8GEAIQBw",
		["TROPHY_7"]  = "CgkI0-DPvs8GEAIQCA",
		["TROPHY_8"]  = "CgkI0-DPvs8GEAIQCQ",
		["TROPHY_9"]  = "CgkI0-DPvs8GEAIQCg",
		["TROPHY_10"] = "CgkI0-DPvs8GEAIQCw",
		["TROPHY_11"] = "CgkI0-DPvs8GEAIQDA",
		["TROPHY_12"] = "CgkI0-DPvs8GEAIQDQ",
		["TROPHY_13"] = "CgkI0-DPvs8GEAIQDg",
		["TROPHY_14"] = "CgkI0-DPvs8GEAIQDw",
		["TROPHY_15"] = "CgkI0-DPvs8GEAIQEA",
		["TROPHY_16"] = "CgkI0-DPvs8GEAIQEQ",
	}
elseif (isiPhone) then
	achievementIds =
	{
        ["TROPHY_1"]  = "d15.ios.collect1",
        ["TROPHY_2"]  = "d15.ios.collect2",
        ["TROPHY_3"]  = "d15.ios.collect3",
        ["TROPHY_4"]  = "d15.ios.collect4",
        ["TROPHY_5"]  = "d15.ios.collect5",
        ["TROPHY_6"]  = "d15.ios.collect6",
        ["TROPHY_7"]  = "d15.ios.collect7",
        ["TROPHY_8"]  = "d15.ios.collect8",
        ["TROPHY_9"]  = "d15.ios.collect9",
        ["TROPHY_10"] = "d15.ios.collect10",
        ["TROPHY_11"] = "d15.ios.collect11",
        ["TROPHY_12"] = "d15.ios.collect12",
        ["TROPHY_13"] = "d15.ios.collect13",
        ["TROPHY_14"] = "d15.ios.collect14",
		["TROPHY_15"] = "d15.ios.collect15",
		["TROPHY_16"] = "d15.ios.collect16",
	}
elseif (isiOSUniversal) then
    achievementIds =
    {
        ["TROPHY_1"]  = "d15.ios.collect1",
        ["TROPHY_2"]  = "d15.ios.collect2",
        ["TROPHY_3"]  = "d15.ios.collect3",
        ["TROPHY_4"]  = "d15.ios.collect4",
        ["TROPHY_5"]  = "d15.ios.collect5",
        ["TROPHY_6"]  = "d15.ios.collect6",
        ["TROPHY_7"]  = "d15.ios.collect7",
        ["TROPHY_8"]  = "d15.ios.collect8",
        ["TROPHY_9"]  = "d15.ios.collect9",
        ["TROPHY_10"] = "d15.ios.collect10",
        ["TROPHY_11"] = "d15.ios.collect11",
        ["TROPHY_12"] = "d15.ios.collect12",
        ["TROPHY_13"] = "d15.ios.collect13",
        ["TROPHY_14"] = "d15.ios.collect14",
		["TROPHY_15"] = "d15.ios.collect15",
		["TROPHY_16"] = "d15.ios.collect16",
    }
elseif (isiPad) then
	achievementIds =
	{
        ["TROPHY_1"]  = "d15.ios.collect1",
        ["TROPHY_2"]  = "d15.ios.collect2",
        ["TROPHY_3"]  = "d15.ios.collect3",
        ["TROPHY_4"]  = "d15.ios.collect4",
        ["TROPHY_5"]  = "d15.ios.collect5",
        ["TROPHY_6"]  = "d15.ios.collect6",
        ["TROPHY_7"]  = "d15.ios.collect7",
        ["TROPHY_8"]  = "d15.ios.collect8",
        ["TROPHY_9"]  = "d15.ios.collect9",
        ["TROPHY_10"] = "d15.ios.collect10",
        ["TROPHY_11"] = "d15.ios.collect11",
        ["TROPHY_12"] = "d15.ios.collect12",
        ["TROPHY_13"] = "d15.ios.collect13",
        ["TROPHY_14"] = "d15.ios.collect14",
		["TROPHY_15"] = "d15.ios.collect15",
		["TROPHY_16"] = "d15.ios.collect16",
	}
else
	achievementIds =
	{
		["TROPHY_1"]  = "d15.osx.collect1",
		["TROPHY_2"]  = "d15.osx.collect2",
		["TROPHY_3"]  = "d15.osx.collect3",
		["TROPHY_4"]  = "d15.osx.collect4",
		["TROPHY_5"]  = "d15.osx.collect5",
		["TROPHY_6"]  = "d15.osx.collect6",
		["TROPHY_7"]  = "d15.osx.collect7",
		["TROPHY_8"]  = "d15.osx.collect8",
		["TROPHY_9"]  = "d15.osx.collect9",
		["TROPHY_10"] = "d15.osx.collect10",
		["TROPHY_11"] = "d15.osx.collect11",
		["TROPHY_12"] = "d15.osx.collect12",
		["TROPHY_13"] = "d15.osx.collect13",
		["TROPHY_14"] = "d15.osx.collect14",
		["TROPHY_15"] = "d15.osx.collect15",
		["TROPHY_16"] = "d15.osx.collect16",
	}
end
