-- List of shifts

numChoicesToUnlock = {18, 22, 15, 22, 18, 17} -- for each environment
totalNumChoices = {27, 31, 22, 34, 27, 24} -- for each environment

customerUnlockDays =
{
  --  athlete = {1,1},
 --  athlete_ski = {1,2},
  --  business = {1,3},
 --   granola = {1,4},
  --  granola_ski = {1,5},
  --  farmer = {1,6},
  --  foodie = {1,7},
  --  hipster = {1,8},
  --  kid = {1,9},
  --  lessard = {1,10},
  --  regular = {2,1},
  --  scout = {2,2},
  --  senior = {2,3},
  --  socialite = {2,4},
  --  socialite_ski = {2,5},
  --  teen = {2,6},
  --  teen_ski = {2,7},
  --  tourist = {2,8},
  --  yuppie = {2,9},
}

episodeLevels =
{
	{ -- Episode 1 - Emily's room1
		room = "room1",
		firstPayingShift = 8,
		buyablePack = 1,
		notifications = {3, 6}, --after playing level 1-2 and level 1-5
		shifts = {
			{{"room1_1.lua", onlyChooser=true},{"story_1_1_roomgardenautumn_0.lua", story=true}, {"story_1_1_bedroom_2.lua", story=true}, {"story_1_1_room1_3.lua", story=true, showEpisodeTitle=true, activationShift=1}, {"room1_1.lua", skipChooser=true}},
			{{"room1_challenge1.lua"}},
			{{"room1_2.lua"}, {"story_1_2_bedroom_3.lua", story=true}},
			{{"room1_3.lua"}, {"story_1_3_room2_3.lua", story=true, activationShift=1}},
			{{"room1_challenge2.lua"}},
			{{"room1_4.lua"}, {"story_1_4_room6_3.lua", story=true}, {"story_1_4_room1_4.lua", story=true, activationShift=4}},
			{{"room1_5.lua"}, {"story_1_5_room5_3.lua", story=true, activationShift=1}, {"story_1_5_roomhospital_4.lua", story=true}},
			{{"room1_challenge3.lua"}},
			{{"room1_6.lua", onlyChooser=true}, {"story_1_6_room6_1.lua", story=true}, {"room1_6.lua", skipChooser=true}},
			{{"room1_7.lua", onlyChooser=true}, {"story_1_7_roomgardenautumn_1.lua", story=true}, {"room1_7.lua", skipChooser=true}, {"story_1_7_bedroom_3.lua", story=true}},
			{{"room1_challenge4.lua"}},
			{{"room1_8.lua"}, {"story_1_8_roomgardenautumn_3.lua", story=true}},
			{{"room1_9.lua", onlyChooser=true}, {"story_1_9_roomgardenautumn_1.lua", story=true}, {"room1_9.lua", skipChooser=true}, {"story_1_9_room6_3.lua", story=true}},
			{{"room1_challenge5.lua"}},
			{{"room1_10.lua", onlyChooser=true}, {"story_1_10_roomhospital_1.lua", story=true}, {"story_1_10_room5_2.lua", story=true, activationShift=1}, {"room1_10.lua", skipChooser=true}, {"story_1_10_roomhospital_4.lua", story=true}, {"story_1_10_room6_5.lua", story=true}},
			{{"room1_dailychallenge1.lua"}},
			{{"room1_dailychallenge2.lua"}},
			{{"room1_dailychallenge3.lua"}},
			{{"room1_dailychallenge4.lua"}},
			{{"room1_dailychallenge5.lua"}},
			{{"room1_dailychallenge6.lua"}},
			{{"room1_dailychallenge7.lua"}},
			{{"room1_dailychallenge8.lua"}},
			{{"room1_dailychallenge9.lua"}},
			{{"room1_dailychallenge10.lua"}},
			{{"room1_dailychallenge11.lua"}}, -- This will be the first DC
			{{"room1_dailychallenge12.lua"}}, -- This will be the second DC
		},
	},

	{ -- Episode 2 - Baby Shop
		room = "room2",
		moments = {2,4},
		buyablePack = 1,
		notifications = {6}, --after playing level 2-5
		crossPromotion = {7}, --after playing level 2-6
		shifts = {
			{{"room2_1.lua", skipChooser=true}},
			{{"room2_challenge1.lua"}},
			{{"room2_2.lua", onlyChooser=true}, {"story_2_2_roomgardenautumn_1.lua", story=true}, {"room2_2.lua", skipChooser=true}},
			{{"room2_3.lua"}},
			{{"room2_challenge2.lua"}},
			{{"room2_4.lua", onlyChooser=true}, {"story_2_4_room6_1.lua", story=true}, {"room2_4.lua", skipChooser=true}},
			{{"room2_5.lua"}},
			{{"room2_challenge3.lua"}},
			{{"room2_6.lua", onlyChooser=true}, {"story_2_6_bedroom_1.lua", story=true}, {"room2_6.lua", skipChooser=true}},
			{{"room2_7.lua", onlyChooser=true}, {"story_2_7_roomgardenautumn_1.lua", story=true}, {"room2_7.lua", skipChooser=true}},
			{{"room2_challenge4.lua"}},
			{{"room2_8.lua"}, {"story_2_8_roomhospital_3.lua", story=true}},
			{{"room2_9.lua", onlyChooser=true}, {"story_2_9_roomhospital_1.lua", story=true}, {"room2_9.lua", skipChooser=true}},
			{{"room2_challenge5.lua"}},
			{{"room2_10.lua", onlyChooser=true}, {"story_2_10_roomgardenautumn_1.lua", story=true}, {"room2_10.lua", skipChooser=true}},
			{{"room2_dailychallenge1.lua"}},
			{{"room2_dailychallenge2.lua"}},
			{{"room2_dailychallenge3.lua"}},
			{{"room2_dailychallenge4.lua"}},
			{{"room2_dailychallenge5.lua"}},
			{{"room2_dailychallenge6.lua"}},
		},
	},
	{ -- Episode 3 - Daycare
		room = "room3",
		moments = {1,3,7},
		buyablePack = 2,
		notifications = {6}, --after playing level 3-5
		crossPromotion = {7}, --after playing level 3-6
		shifts = {
			{{"story_3_1_roomgardenwinter_1.lua", story=true, showEpisodeTitle=true}, {"room3_1.lua", skipChooser=true}},
			{{"room3_challenge1.lua"}},
			{{"room3_2.lua"}, {"story_3_2_roomgardenwinter_3.lua", story=true}},
			{{"room3_3.lua"}},
			{{"room3_challenge2.lua"}},
			{{"room3_4.lua", onlyChooser=true}, {"story_3_4_room6_1.lua", story=true}, {"room3_4.lua", skipChooser=true}},
			{{"room3_5.lua", onlyChooser=true}, {"story_3_5_room1_1.lua", story=true, activationShift=10}, {"story_3_5_room6_2.lua", story=true}, {"room3_5.lua", skipChooser=true}},
			{{"room3_challenge3.lua"}},
			{{"room3_6.lua", onlyChooser=true}, {"story_3_6_bedroom_1.lua", story=true}, {"room3_6.lua", skipChooser=true}},
			{{"room3_7.lua"}},
			{{"room3_challenge4.lua"}},
			{{"room3_8.lua"}},
			{{"room3_9.lua"}},
			{{"room3_challenge5.lua"}},
			{{"room3_10.lua"}},
			{{"room3_dailychallenge1.lua"}},
			{{"room3_dailychallenge2.lua"}},
			{{"room3_dailychallenge3.lua"}},
			{{"room3_dailychallenge4.lua"}},
			{{"room3_dailychallenge5.lua"}},
			{{"room3_dailychallenge6.lua"}},
		},
	},
	{ -- Episode 4 - Spa
		room = "room4",
		moments = {1,7},
		buyablePack = 2,
		notifications = {6}, --after playing level 4-5
		crossPromotion = {7}, --after playing level 4-6
		shifts = {
			{{"room4_1.lua", showEpisodeTitle=true, skipChooser=true}, {"story_4_1_bedroom_3.lua", story=true}},
			{{"room4_challenge1.lua"}},
			{{"room4_2.lua", onlyChooser=true}, {"story_4_2_room1_1.lua", story=true, activationShift=10}, {"room4_2.lua", skipChooser=true}},
			{{"room4_3.lua"}},
			{{"room4_challenge2.lua"}},
			{{"room4_4.lua"}, {"story_4_4_room1_2.lua", story=true, activationShift=10}},
			{{"room4_5.lua"}, {"story_4_5_room6_3.lua", story=true}},
			{{"room4_challenge3.lua"}},
			{{"room4_6.lua"}},
			{{"room4_7.lua", onlyChooser=true}, {"story_4_7_room1_1.lua", story=true, activationShift=10}, {"room4_7.lua", skipChooser=true}},
			{{"room4_challenge4.lua"}},
			{{"room4_8.lua", onlyChooser=true}, {"story_4_8_metagameroom_1.lua", story = true}, {"room4_8.lua", skipChooser=true}},
			{{"room4_9.lua"}, {"story_4_9_roomgardenwinter_3.lua", story = true}},
			{{"room4_challenge5.lua"}},
			{{"room4_10.lua"}},
			{{"room4_dailychallenge1.lua"}},
			{{"room4_dailychallenge2.lua"}},
			{{"room4_dailychallenge3.lua"}},
			{{"room4_dailychallenge4.lua"}},
			{{"room4_dailychallenge5.lua"}},
			{{"room4_dailychallenge6.lua"}},
		},
	},
	{ -- Episode 5 - Hospital
		room = "room5",
		moments = {1,10},
		buyablePack = 3,
		notifications = {6}, --after playing level 5-5
		crossPromotion = {7}, --after playing level 5-6
		shifts = {
				{{"room5_1.lua", skipChooser=true}},
				{{"room5_challenge1.lua"}},
				{{"room5_2.lua"}},
				{{"room5_3.lua"}},
				{{"room5_challenge2.lua"}},
				{{"room5_4.lua"}},
				{{"room5_5.lua"}},
				{{"room5_challenge3.lua"}},
				{{"room5_6.lua"}},
				{{"room5_7.lua", onlyChooser=true}, {"story_5_7_roomgardenspring_1.lua", story = true}, {"room5_7.lua", skipChooser=true}},
				{{"room5_challenge4.lua"}},
				{{"room5_8.lua"}},
				{{"room5_9.lua"}, {"story_5_9_room1_2.lua", activationShift=1, story = true}},
				{{"room5_challenge5.lua"}},
				{{"room5_10.lua", onlyChooser=true}, {"story_5_10_roomgardenspring_0.lua", story = true}, {"story_5_10_room1_1.lua", story = true}, {"story_5_10_room5_2.lua", story = true}, {"story_5_10_room1_3.lua", activationShift=1, story = true}, {"story_5_10_room4_4.lua", activationShift=10, story = true}, {"story_5_10_room3_5.lua", activationShift=10, story = true}, {"story_5_10_room2_6.lua", activationShift=1, story = true}, {"story_5_10_room5_7.lua", activationShift=1, story = true}, {"story_5_10_room1_8.lua", story = true}, {"room5_10.lua", skipChooser=true}},
				{{"room5_dailychallenge1.lua"}},
				{{"room5_dailychallenge2.lua"}},
				{{"room5_dailychallenge3.lua"}},
				{{"room5_dailychallenge4.lua"}},
		},
	},
	{ -- Episode 6 - Babyshower
		room = "room6",
		moments = {6,9},
		buyablePack = 3,
		crossPromotion = {10}, --after playing level 6-10
		shifts = {
				{{"story_6_1_roomgardenspring_1.lua", story = true, showEpisodeTitle=true}, {"room6_1.lua", skipChooser=true}},
				{{"room6_challenge1.lua"}},
				{{"room6_2.lua"}},
				{{"room6_3.lua", onlyChooser=true}, {"story_6_3_metagameroom_1.lua", story = true}, {"room6_3.lua", skipChooser=true}, {"story_6_3_metagameroom_3.lua", story = true}},
				{{"room6_challenge2.lua"}},
				{{"room6_4.lua", onlyChooser=true}, {"story_6_4_roomgardenspring_1.lua", story = true}, {"room6_4.lua", skipChooser=true}},
				{{"room6_5.lua"}, {"story_6_5_roomgardenspring_3.lua", story = true}},
				{{"room6_challenge3.lua"}},
				{{"room6_6.lua"}},
				{{"room6_7.lua"}, {"story_6_7_roomgardenspring_3.lua", story = true}},
				{{"room6_challenge4.lua"}},
				{{"room6_8.lua"}},
				{{"room6_9.lua", onlyChooser=true}, {"story_6_9_roomgardenspring_1.lua", story = true}, {"room6_9.lua", skipChooser=true}},
				{{"room6_challenge5.lua"}},
				{{"room6_10.lua", onlyChooser=true}, {"story_6_10_roomgardenspring_1.lua", story = true}, {"room6_10.lua", skipChooser=true}, {"story_6_10_roomgardenspring_4.lua", story = true}, {"story_6_10_room1_6.lua", story=true, activationShift=3}},
				{{"room6_dailychallenge1.lua"}},
				{{"room6_dailychallenge2.lua"}},
				{{"room6_dailychallenge3.lua"}},
				{{"room6_dailychallenge4.lua"}},
			},
		},
}
