﻿-- Refer to:
-- General upgrades https://confluence.gamehouse.com/display/GAM/D15+Shop+Upgrades
-- Room 1 https://confluence.gamehouse.com/display/GAM/D15+Location+1#D15Location1-ShopUpgrades
-- Room 2 https://confluence.gamehouse.com/display/GAM/D15+Location+2#D15Location2-Shopupgrades
-- Room 3 https://confluence.gamehouse.com/display/GAM/D15+Location+3#D15Location3-Shopupgrades
-- Room 4 https://confluence.gamehouse.com/display/GAM/D15+Location+4#D15Location4-Shopupgrades
-- Room 5 https://confluence.gamehouse.com/display/GAM/D15+Location+5#D15Location5-ShopUpgrades
-- Room 6 https://confluence.gamehouse.com/display/GAM/D15+Location+6#D15Location6-ShopUpgrades

--levelDesc = levelDesc or {}

upgrades =
{
	-- General
	moodDurationTable 		= {id="tableMoodDurationMultiplier", value=1.25}, 				-- mood multiplier
	moodStartTable			= {id="tableStartMoodDropTimeMultiplier", value=2.5}, 			-- mood multiplier
	moodDurationCounter 	= {id="counterMoodDurationMultiplier", value=1.25},				-- mood multiplier
	entertainDuration 		= {id="entertainDuration", value=0.5}, 							-- entertaining multiplier
	heroWorkDuration 		= {object="hero", id="actorWorkDurationMultiplier", value=0.75},-- characters multiplier
	heroWalkSpeed 			= {object="hero", id="walkSpeed", value=1.25}, 					-- characters multiplier
	cleanerWalkSpeed 		= {object="cleaner", id="walkSpeed", value=1.2},  				-- characters multiplier
	restockerWalkSpeed 		= {object="restocker", id="walkSpeed", value=2}, 				-- characters multiplier
	tipTable				= {id="tableTipMultiplier", value=1.1}, 						-- tip multiplier
	tipCounter 				= {id="counterTipMultiplier", value=1.1}, 						-- tip multiplier
	tipStool 				= {id="stoolTipMultiplier", value=1.1}, 						-- tip multiplier
	cleanDuration			= {id="cleanDuration", value=1000}, 							-- cleaning value
	checkoutCombo2			= {id="comboCheckout2", value=25}, 								-- combos value
	checkoutCombo3			= {id="comboCheckout3", value=50}, 								-- combos value
	checkoutCombo4			= {id="comboCheckout4", value=75}, 								-- combos value
	cleanCombo2				= {id="cleanBonus2", value=15}, 								-- combos value
	cleanCombo3				= {id="cleanBonus3", value=30}, 								-- combos value
	cleanCombo4				= {id="cleanBonus4", value=45}, 								-- combos value
	chainCombo2				= {id="moneyCustomerChain2", value=15}, 						-- combos value
	chainCombo3				= {id="moneyCustomerChain3", value=20}, 						-- combos value
	chainCombo4				= {id="moneyCustomerChain4", value=25}, 						-- combos value
	chainCombo5				= {id="moneyCustomerChain5", value=35}, 						-- combos value
	quickBonus				= {id="quickBonus", value=10}, 									-- combos value
	quickDuration			= {id="quickBonusDuration", value=10000}, 						-- combos value
	mouseShowTime			= {id="mouseShowTime", object={"mouse1", "mouse2", "mouse3", "mouse4", "mouse5", "mouse6", "mouse7", "mouse8", "mouse9", "mouse10"}, value=7500}, 	-- mouse value
	mouseShowRate			= {id="delayMultiplier", object={"mouse1", "mouse2", "mouse3", "mouse4", "mouse5", "mouse6", "mouse7", "mouse8", "mouse9", "mouse10"}, value=0.75}, -- mouse value
	customerExtra 			= {id="extraCustomer", value=true},								-- other value

	-- Room 2
	room2_moodDurationCrib1 		= {id="specialstationqueueMoodDurationMultiplier", value=1.25}, 		-- mood multiplier
	room2_moodDurationCrib2 		= {id="specialstationqueue2MoodDurationMultiplier", value=1.25}, 		-- mood multiplier
	room2_moodStartTableCrib1		= {id="specialstationqueueStartMoodDropTimeMultiplier", value=2.5},		-- mood multiplier
	room2_moodStartTableCrib2		= {id="specialstationqueue2StartMoodDropTimeMultiplier", value=2.5},	-- mood multiplier

	-- Room 3
	room3_moodDurationCraddle		= {id="cradleMoodDurationMultiplier", value=1.25}, 						-- mood multiplier
	room3_moodStartCraddle			= {id="cradleStartMoodDropTimeMultiplier", value=2.5}, 					-- mood multiplier
	room3_moodStartPlayground		= {id="playgroundStartMoodDropTimeMultiplier", value=2.5}, 				-- mood multiplier

	-- Room 4
	room4_moodDurationBath 			= {id="bathqueueMoodDurationMultiplier", value=1.25}, 					-- mood multiplier
	room4_moodStartBath				= {id="bathqueueStartMoodDropTimeMultiplier", value=2.5}, 				-- mood multiplier

	-- Room 5
	room5_moodDurationEmily 		= {id="queueBedEmilyMoodDurationMultiplier", value=1.25}, 		-- mood multiplier
	room5_moodDurationPregnant1 	= {id="queueBedPregnant1MoodDurationMultiplier", value=1.25}, 	-- mood multiplier
	room5_moodDurationPregnant2 	= {id="queueBedPregnant2MoodDurationMultiplier", value=1.25}, 	-- mood multiplier
	room5_moodStartEmily			= {id="queueBedEmilyStartMoodDropTimeMultiplier", value=2.5}, 	-- mood multiplier
	room5_moodStartPregnant1		= {id="queueBedPregnant1StartMoodDropTimeMultiplier", value=2.5}, -- mood multiplier
	room5_moodStartPregnant2		= {id="queueBedPregnant2StartMoodDropTimeMultiplier", value=2.5}, -- mood multiplier
	room5_printerPrepareDuration 	= {object="printer_ready", id="prepareDuration", value=0.75},		-- products multiplier

	-- For other upgrades not used here, go back to Shop.lua of D13
}

shopDesc =
{

	room1 = {  -- D15
		{price=375, upgradeGroup="shop_room1_cleaner"},
		{price=325, upgradeGroup="shop_room1_entertainer"},
		{price=450, upgradeGroup="shop_room1_walkspeed", 		valueMultipliers =	{upgrades.heroWalkSpeed}},
		{price=350, upgradeGroup="shop_room1_moodtable", 		valueMultipliers = 	{upgrades.moodDurationTable}},
		{price=400, upgradeGroup="shop_room1_cookerslot"},
		{price=250, upgradeGroup="shop_room1_checkoutcombo", 	values =			{upgrades.checkoutCombo2, upgrades.checkoutCombo3, upgrades.checkoutCombo4}},
		{price=100, upgradeGroup="shop_room1_quickduration", 	values =			{upgrades.quickDuration}},
		{price=450, upgradeGroup="shop_room1_mouseshowtime", 	values = 	{upgrades.mouseShowTime}},
	},

	room2 = { -- D15
		{price=300, upgradeGroup="shop_room2_fastcleaning",		values  		 = {upgrades.cleanDuration}},
		{price=425, upgradeGroup="shop_room2_moodstarttable",	valueMultipliers = {upgrades.moodStartTable}},
		{price=650, upgradeGroup="shop_room2_walkspeed",		valueMultipliers = {upgrades.heroWalkSpeed}},
		{price=400, upgradeGroup="shop_room2_moodcounter",		valueMultipliers = {upgrades.moodDurationCounter}},
		{price=300, upgradeGroup="shop_room2_chaincombo",		values 			 = {upgrades.chainCombo2, upgrades.chainCombo3, upgrades.chainCombo4, upgrades.chainCombo5}},
		{price=400, upgradeGroup="shop_room2_quickbonus",		values 			 = {upgrades.quickBonus}},
		{price=350, upgradeGroup="shop_room2_moodcribs",		valueMultipliers = {upgrades.room2_moodDurationCrib1, upgrades.room2_moodDurationCrib2, upgrades.room2_moodStartTableCrib1, upgrades.room2_moodStartTableCrib2}},
		{price=575, upgradeGroup="shop_room2_mouseshowrate",	valueMultipliers = {upgrades.mouseShowRate}},
	},

	room3 = { -- D15
		{price=500, upgradeGroup= "shop_room3_fastcleaning", 	   	values = 			{upgrades.cleanDuration}},  																-- Decreases clean duration
		{price=500, upgradeGroup= "shop_room3_moodbabies", 		   	valueMultipliers =	{upgrades.room3_moodDurationCraddle, upgrades.room3_moodStartCraddle}},						-- Increases babies patience
		{price=550, upgradeGroup= "shop_room3_moodstartplayground", valueMultipliers =	{upgrades.room3_moodStartPlayground}},														-- Increases playground customers patience
		{price=725, upgradeGroup= "shop_room3_walkspeed", 			valueMultipliers =	{upgrades.heroWalkSpeed}},																	-- Hero walks faster
		{price=400, upgradeGroup= "shop_room3_cleancombo", 			values =			{upgrades.cleanCombo2, upgrades.cleanCombo3, upgrades.cleanCombo4}},						-- Reward for cleaning in a row
		{price=450, upgradeGroup= "shop_room3_checkoutcombo", 		values = 			{upgrades.checkoutCombo2, upgrades.checkoutCombo3, upgrades.checkoutCombo4}},				-- Increases checkout combo bonus
		{price=500, upgradeGroup= "shop_room3_chaincombo", 			values =			{upgrades.chainCombo2, upgrades.chainCombo3, upgrades.chainCombo4, upgrades.chainCombo5}},	-- Increases chain combo bonus
		{price=675, upgradeGroup= "shop_room3_mouseshowtime", 		values =	{upgrades.mouseShowTime}},																	-- Increases mouse show time
	},

	room4 = { -- D15
		{price=625, upgradeGroup="shop_room4_fastcleaning",  	values = 			{upgrades.cleanDuration}},											-- Increases clean duration
		{price=525, upgradeGroup="shop_room4_entertainer"},																								-- Unlock entertainer
		{price=450, upgradeGroup="shop_room4_moodpool", 		valueMultipliers = 	{upgrades.room4_moodStartBath, upgrades.room4_moodDurationBath}}, 	-- Increases bath patience
		{price=775, upgradeGroup="shop_room4_walkspeed", 		valueMultipliers = 	{upgrades.heroWalkSpeed}}, 											-- Hero walks faster
		{price=450, upgradeGroup="shop_room4_quickbonustime", 	values = 			{upgrades.quickDuration}}, 											-- X Increase quick bonus time
		{price=500, upgradeGroup="shop_room4_checkoutcombo", 	values = 			{upgrades.checkoutCombo2, upgrades.checkoutCombo3}}, 				-- Increases checkout combo bonus
		{price=775, upgradeGroup="shop_room4_customerextra",	values = 			{upgrades.customerExtra}}, 											-- Another customer appears at the end of the day
		{price=700, upgradeGroup="shop_room4_mouseshowrate",	valueMultipliers = 	{upgrades.mouseShowRate}}, 											-- Increase mouse show rate
	},

	room5 = { -- D15
		{price=775, upgradeGroup="shop_room5_fastcleaning", 	values = 			{upgrades.cleanDuration}},												-- Decrease cleaning time
		{price=600, upgradeGroup="shop_room5_chaincombo", 		values =			{upgrades.chainCombo2, upgrades.chainCombo3, upgrades.chainCombo4, upgrades.chainCombo5}},
		{price=550, upgradeGroup="shop_room5_moodbeds", 	 	valueMultipliers = 	{upgrades.room5_moodDurationEmily, upgrades.room5_moodDurationPregnant1, upgrades.room5_moodDurationPregnant2, upgrades.room5_moodStartEmily, upgrades.room5_moodStartPregnant1, upgrades.room5_moodStartPregnant2}},
		{price=600, upgradeGroup="shop_room5_moodcounter", 		valueMultipliers = 	{upgrades.moodDurationCounter}},
		{price=850, upgradeGroup="shop_room5_walkspeed", 		valueMultipliers = 	{upgrades.heroWalkSpeed}},
		{price=550, upgradeGroup="shop_room5_cleancombo",  		values =  			{upgrades.cleanCombo2, upgrades.cleanCombo3, upgrades.cleanCombo4}},
		{price=650, upgradeGroup="shop_room5_fastprinter",   	valueMultipliers =	{upgrades.room5_printerPrepareDuration}},
		{price=825, upgradeGroup="shop_room5_mouseshowtime", 	values = 	{upgrades.mouseShowTime}},
	},

	room6 = {
		{price=800,  upgradeGroup="shop_room6_fastcleaning",  	values = {upgrades.cleanDuration}}, 												-- Decreases clean duration
		{price=800,  upgradeGroup="shop_room6_entertainer"}, 																							-- Entertainer Unlock
		{price=1050, upgradeGroup="shop_room6_walkspeed",    	valueMultipliers={upgrades.heroWalkSpeed}}, 										-- Hero walks faster
		{price=750,  upgradeGroup="shop_room6_moodtables",    	valueMultipliers={upgrades.moodDurationTable, upgrades.moodStartTable}},			-- Improve the patience of the customers.
		{price=1000, upgradeGroup="shop_room6_checkoutcombo", 	values={upgrades.checkoutCombo2, upgrades.checkoutCombo3, upgrades.checkoutCombo4}},																				-- An extra oven tray for baking cookies.
		{price=800,  upgradeGroup="shop_room6_quickbonussuper", values={upgrades.quickBonus, upgrades.quickDuration}},								-- Quick Bonus Extra + Quick Duration Extra
		{price=900,  upgradeGroup="shop_room6_customerextra",   values={upgrades.customerExtra}}, 													-- Customer Extra
		{price=950,  upgradeGroup="shop_room6_mouse",        	values={upgrades.mouseShowTime}, valueMultipliers={upgrades.mouseShowRate}},							-- Mouse Show Time + Mouse Show Rate
	},
}
