levelDesc = levelDesc or {}

roomNames = {
	"room1",
	"room2",
	"room3",
	"room4",
	"room5",
	"room6",
	"room1",
}

-- Default values in levelDesc
levelDesc.defaultPoductSettings = {
        orderable = true,
        edible = true,
        chance = 100,
        regular = 100, -- Chance per customer
        kid = 100,
        elder = 100,
        yuppie = 100,
        normal = 100,
        biggie = 100,

        male = 100,  -- Chance per gender
        female = 100,
}

-- These two parameters tell us the hour and minute when we can send a new
-- diamond to a player.
neighborsAvailabilityStartHour = 8
neighborsAvailabilityStartMinute = 0

levelDesc.defaultConsumeAnimation = "sit_eat"

levelDesc.maxHearts = 10
levelDesc.counterOrderSize = 2  --size of an order at the counter
levelDesc.tableOrderSize = 10 --this should be the size of a table order, but this is 4, so I don't know what this is

levelDesc.orderSteps = 1 --the number of steps of an order

levelDesc.levelsWonForHigherDifficulty = 1 --The number of wins needed to stop automatic difficulty adjustment
levelDesc.levelsLostForLowerDifficulty = 2 --The number of loses needed to start automatic difficulty adjustment
levelDesc.overrideUninitializedCharacterPositions = false

trophyNumCoins = 50000
totalTrophyCount = 16

-- MOOD HEART DECREASE TIMINGS
MoodStartShakeTimeMS = 3000				--The amount of MS when the shake animation starts at the end of the mood timer
MoodStartDecreaseAnimRelative = 1.0	--The relative point when the heart start to decrease,
										-- where 1.0 is the beginning and 0.0 is the end of the mood timer
MoodHeartsAppearLapse = 100				-- Time between the appearance of one heart and the next when the hearts appear for the first time
MoodFillDuration = 300					-- The time it takes for a heart to fill When a customer gains one
HeartsEatingHideDelay = 1500			-- Delay between the delivery of the order and the hiding of the hearts in a table when the custome gains hearts

-- The shake animation works as follows:
-- Shake -(then)-> Fade out + Scale
HeartAnimationParameters = {			-- Parameters of the shake hearts animation
	shakeRotation = 0,
	shakeDuration = 2500,			-- shakeDuration + fadeDuration should be approximately == MoodStartShakeTimeMS
	durationOfOneShake = 200,
	jumpDuration = 500,				-- The jump, fade and scaling time
	initialScale = 1,
	finalScale = 1.5,
	xShake = 4,						-- Displacement on x of the shake
	yShake = 0,						-- Displacement on y of the shake
	changeShakeState = 75,
	xJump = 10,
	yJumpTop = -25,
	yJumpBottom = 50,
	loseHeartSound = "customer_heart_drop:sound",
	bubbleYDisplacement = -10,		-- Displacement from the top of the order bubble.
}

levelDesc.rangeDifficultyAngles ={
	["easy"] = 54,
	["medium"] = 40.5,
	["hard"] = 27

}

levelDesc.valueMultipliers =
    {
        queueMoodDurationMultiplier = 1.5, -- Mood drop multiplier in the (counter?) queue, takes longer to get angry in the queue
        tableMoodDurationMultiplier = 1.0,
        counterMoodDurationMultiplier = 1.0,

		-- D15 stations mood
		---- Room 1
		workshopMoodDurationMultiplier = 1.0,
		---- Room 2
		specialstationqueueMoodDurationMultiplier = 1.0,
		specialstationqueue2MoodDurationMultiplier = 1.0,
		---- Room 3
		cradleMoodDurationMultiplier = 1.0,
		playgroundMoodDurationMultiplier = 1.0,
		---- Room 4
		bathqueueMoodDurationMultiplier = 1.0,
		---- Room 5
		queueBedEmilyMoodDurationMultiplier = 1.0,
		queueBedPregnant1MoodDurationMultiplier = 1.0,
		queueBedPregnant2MoodDurationMultiplier = 1.0,

        tableTipMultiplier = 1, -- Higher tip from a table
        counterTipMultiplier = 1.0, -- Normal from the counter
        stoolTipMultiplier = 1.0, -- Normal from the stool
        meditationTipMultiplier = 1.0,

        dropDelayMultiplier = 1.0, -- Used when the "trough" upgrade has been bought

        --entertainDuration = {0.8, 1, 1.2}, -- easy, normal, hard
				entertainDuration = 1,
        -- moodDropTime = {
        --     {1.7, 1.55, 1.4}, -- easy mood drop time (automatic difficulty adjusts: two down, one down, normal)
        --     {1.1, 1.05, 1.0}, -- normal
        --     {1.0, 0.95, 0.9}, -- hard
        -- },
				moodDropTime = 1.2,
        spawnDelay = 1,
        --star1ChallengeScore = {1.0, 1.0, 1.0},
				star1ChallengeScore = 1,

		-- TO DO
		mouseShowTimeMultiplier = 1.0,
		mouseShowDelayMultiplier = 1.0,
    }

levelDesc.valueAdders =
    {
        startMood = {
            {1, 1, 0}, -- easy
            {1, 0, 0}, -- normal
            {0, 0, 0}, -- hard
        },
    }

levelDesc.animationDescs =
    {
        sit_read_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        sit_order_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},


        bath_sit_idle_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        bath_sit_order_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        bath_sit_think_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},

        --R3
        floor_sit_drink_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=false},
        floor_sit_eat_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=false},
        floor_sit_play_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=false},
        floor_sit_write_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=false},
        floor_sit_ecstatic_right = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=false},


		-- Consume animations mustn't use the _right suffix here:
		sit_read = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
		sit_eat = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
		sit_drink = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
		sit_wrap = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},

        --R3
        sit_play = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=true},
        sit_write = {shouldPlayInStoryMode=false, holdCycleDuration={0, 600}, noShadow=true},

        --R4
        bath_sit_drink = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        bath_sit_eat = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        bath_sit_relax = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},

        --R5
        lay_eat = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        lay_drink = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},
        lay_read = {shouldPlayInStoryMode=false, holdCycleDuration={0, 1200}, noShadow=true},

    }

moodAppearances = { "angry", "annoyed", "", "happy", "ecstatic", }

levelDesc.complexityLimits =
{
    {  -- easy
        {easy = 1, medium = 1, hard = 1, very_hard = 0},   -- size 1 , easy order
        {easy = 2, medium = 1, hard = 1, very_hard = 0},   -- size 2 , easy order
        {easy = 2, medium = 1, hard = 1, very_hard = 0},   -- size 3 , easy order
        {easy = 3, medium = 2, hard = 1, very_hard = 0}    -- size 4 , easy order
    },
    {-- medium
        {easy = 1, medium = 1, hard = 1, very_hard = 1},   -- size 1, medium order
        {easy = 1, medium = 2, hard = 1, very_hard = 1},   -- size 2, medium order
        {easy = 1, medium = 2, hard = 1, very_hard = 1},   -- size 3, medium order
        {easy = 2, medium = 2, hard = 2, very_hard = 1}    -- size 4, medium order
    },
    {-- hard
        {easy = 1, medium = 1, hard = 1, very_hard = 1},   -- size 1, hard order
        {easy = 1, medium = 1, hard = 2, very_hard = 1},   -- size 2, hard order
        {easy = 1, medium = 1, hard = 2, very_hard = 1},   -- size 3, hard order
        {easy = 1, medium = 2, hard = 2, very_hard = 1}    -- size 4, hard order
    },
}

levelDesc.complexityChances = {
    {  -- easy
        {{easy = 60, medium = 30, hard = 10}},                                          						-- size 1
        {{easy = 100}, {easy = 20, medium = 60, hard = 20}},                                					-- size 2
	    {{easy = 100}, {easy = 20, medium = 60, hard = 20}, {easy = 60, medium = 30, hard = 10}},				-- size 3
        {{easy = 100}, {easy = 100}, {easy = 20, medium = 60, hard = 20}, {easy = 20, medium = 60, hard = 20}}	-- size 4
    },
    {-- medium
        {{easy = 20, medium = 50, hard = 20, very_hard = 10}},                                                   	      						-- size 1
        {{medium = 100}, {easy = 40, medium = 0, hard = 40, very_hard = 20}},                                         							-- size 2
        {{medium = 100}, {easy = 40, medium = 0, hard = 40, very_hard = 20}, {easy = 20, medium = 50, hard = 20, very_hard = 10}},  			-- size 3
        {{medium = 100}, {medium = 100}, {easy = 40, medium = 0, hard = 40, very_hard = 20}, {easy = 40, medium = 0, hard = 40, very_hard = 20}}-- size 4
    },
    {-- hard
        {{easy = 10, medium = 20, hard = 50, very_hard = 20}},                                                             								-- size 1
        {{hard = 100}, {easy = 20, medium = 40, hard = 0, very_hard = 40} },                                                        					-- size 2
        {{hard = 100}, {easy = 20, medium = 40, hard = 0, very_hard = 40}, {easy = 10, medium = 20, hard = 50, very_hard = 20}},                  		-- size 3
        {{hard = 100}, {medium = 100}, {easy = 10, medium = 25, hard = 40, very_hard = 25}, {easy = 10, medium = 30, hard = 40, very_hard = 20}}        -- size 4
    },
}

-- complexityChances when metadifficulty is on
levelDesc.metadifficultyCounter = 2
levelDesc.metadifficultyMoodMultiplier = 1.2
levelDesc.metadifficultySpawnDelayMultiplier = 1.1

levelDesc.reducedComplexityChances = {
    {  -- easy
        {{easy = 80, medium = 20, hard = 0}},                                          							-- size 1
        {{easy = 100}, {easy = 60, medium = 40, hard = 0}},                                						-- size 2
	    {{easy = 100}, {easy = 60, medium = 40, hard = 0}, {easy = 80, medium = 20, hard = 0}},					-- size 3
        {{easy = 100}, {easy = 100}, {easy = 60, medium = 40, hard = 0}, {easy = 60, medium = 40, hard = 0}}	-- size 4
    },
    {-- medium
        {{easy = 40, medium = 50, hard = 10, very_hard = 0}},                                                         							-- size 1
        {{medium = 100}, {easy = 80, medium = 0, hard = 20, very_hard = 0} },                                        							-- size 2
        {{medium = 100}, {easy = 80, medium = 0, hard = 20, very_hard = 0}, {easy = 40, medium = 50, hard = 10, very_hard = 0}},				-- size 3
        {{medium = 100}, {medium = 100}, {easy = 80, medium = 0, hard = 20, very_hard = 0}, {easy = 80, medium = 0, hard = 20, very_hard = 0}}	-- size 4
    },
    {-- hard
        {{easy = 20, medium = 40, hard = 30, very_hard = 10}},                                                             												-- size 1
        {{easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10} },                                                    -- size 2
        {{easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10}},-- size 3
        {{easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10}, {easy = 20, medium = 40, hard = 30, very_hard = 10}} -- size 4
    },
}

-- D15
levelDesc.tipClasses = {
	{tipNormal=2, tipHappy=5, tipEcstatic=10},		-- 1 Low
	{tipNormal=10, tipHappy=15, tipEcstatic=20},	-- 2 Medium
	{tipNormal=20, tipHappy=30, tipEcstatic=40},	-- 3 High
}
-- D15
levelDesc.patienceClasses = {
	{moodDropTime=8500},  -- 1 Low
	{moodDropTime=10000}, -- 2 Medium
	{moodDropTime=13000}, -- 3 High
}
-- D15 -- unused
levelDesc.thinkingClasses =
{
	6000, 	-- 1 Low
	8000, 	-- 2 Medium
	10000	-- 3 High
}
-- D15 -- unused
levelDesc.walkSpeedClasses =
{
	350,	-- 1 Low
	500, 	-- 2 Medium
	650 	-- 3 High
}

levelDesc.groupSizeChances = {
	counter = {100},
	stool = {100},
	table = {100,100,100,100},
	-- room 1
	workshop = {100,100,100,100},
	-- room 2
	specialstationqueue = {100},
	specialstationqueue2 = {100},
	-- room 3
	playground = {100},
	carer = {100},
	-- room 4
	bathqueue = {100, 100},
	yogaqueue = {100},
	-- room 5
	babyattention = {100},

}

--$$$

levelDesc.initPos = {x=-9999, y=-9999}

levelDesc.values =
    {
        moneyFloaterDelay = 1000,
		moneyFullOrderAtOncePerProduct = 5,  --The bonus you get for delivering a full order (per product of that full order)
        moneyCustomerChain2 = 10, --The bonus you get for delivering 2 customers from the same tray
        moneyCustomerChain3 = 15,
        moneyCustomerChain4 = 20,
        moneyCustomerChain5 = 25,
		comboCheckout2 = 20, --The money you get for checking out multiple customers at the same time
        comboCheckout3 = 40,
        comboCheckout4 = 60,

		maxCleanBonus = 4,
		cleanBonus2 = 10, -- Test value, modify it with the correct one
		cleanBonus3 = 20, -- Test value, modify it with the correct one
		cleanBonus4 = 30, -- Test value, modify it with the correct one
		cleanBonusCleanerTime = 6500, --Time the cleaner has to get the clean bonus between two tables
		cleanBonusHeroTime = 6000, --Time the hero has to get the clean bonus between two tables
		restartComboOnMax = true, -- If set to true, the 5th table restarts the counter to 2

		-- D13
        --[[
		comboCheckout2 = 10, --The money you get for checking out multiple customers at the same time
        comboCheckout3 = 20,
        comboCheckout4 = 30,
		--]]
        closeDelay = 4000,
        cleanDuration = 2000, --The time it costs to clean a table
        entertainDuration = 4000, --The time it costs to entertain a table
        idleAnimTimeoutMin = 8000,
        idleAnimTimeoutMax = 20000,
        thinkIconFrameTime = 200,
        maxBalloonSize = 6,
        maxTraySize = 3, --base value of 3 for the tray-size (if not filled in the levelfile)
        startMood = 3, --the base mood of customers entering your restaurant
        moodDropTime = 10000, --the base time it takes to drop one state down
        tableStartMoodDropTimeMultiplier = 2, --The mood droptime of customers that enter is doubled, only for that first state when they enter
        tipNormal = 10, --base value of tips on normal customer
        tipHappy = 15, --base value of tips on happy customer
        tipEcstatic = 20, --base value of tips on ecstatic customer
        tip = 0,
        moneyPerProductAngry = 10,  --the money per product of an order
        moneyPerProductAnnoyed = 10,
        moneyPerProductNormal = 10,
        moneyPerProductHappy = 10,
        moneyPerProductEcstatic = 10,
        consumeFrameTime = 200,
        readFrameTime = 200,
        orderFrameTime = 200,
        quickBonusDuration = 7500, --The time you have to get a quick bonus
		quickBonus = 5, --The bonus you get for being quick
        fractionDoneBeforeNextExtraTasty = 0.8, -- For extra tasty button chains: if the value is 0.8, the next in the chain can start when the item before is at 80%
        entertainerMoodIncrease = 1, --the number of moods an entertainer increases
        heroWalkSpeed = 1200, --main characters walkspeed
        additionalCustomerAppearWeight = 10,
        extraCustomer = false,
        extraTraySlots = 0,

		-- D15 stations mood
		---- Room 1
    workshopStartMoodDropTimeMultiplier = 1,
		---- Room 2
		specialstationqueueStartMoodDropTimeMultiplier = 1,
		specialstationqueue2StartMoodDropTimeMultiplier = 1,
		---- Room 3
		cradleStartMoodDropTimeMultiplier = 1,
		playgroundStartMoodDropTimeMultiplier = 1,
		---- Room 4
		bathqueueStartMoodDropTimeMultiplier = 2,
		---- Room 5
		queueBedEmilyStartMoodDropTimeMultiplier = 1,
		queueBedPregnant1StartMoodDropTimeMultiplier = 1,
		queueBedPregnant2StartMoodDropTimeMultiplier = 1,

		-- Legacy outdated variables
        moneySameCustomerType = 11, --This doesn't work and it shouldn't
        loveSeatMoodIncreaseDuration = 5000,  --no longer used
        marriedCoupleQuickBonus = 100,
        extraTastyBonus = 2,  --No longer used
        newExtraTastyBonus = 100, --no longer used
        reservationTip = 0, --no longer used
        reservationRingDuration = 8000, --no longer used
        reservationExclamationTime = 5000, --no longer used
        attendHeartScore = 1,  --no longer used
        attendMaxTimes = 3, --no longer used
        memorableMomentHeartsScore = 2, --no longer used
        memorableMomentPerfectHeartsScore = 3, --no longer used
        deliverHeartsScore = 1, --no longer used
        deliverPerfectHeartsScore = 2, --no longer used
        memorableMomentAppearFractionMinimum = 0.3, --no longer used
        memorableMomentAppearFractionMaximum = 0.6, --no longer used
        slideScoreAngry = 5, --no longer used
        slideScoreAnnoyed = 10, --no longer used
        slideScoreNormal = 15, --no longer used
        slideScoretHappy = 20, --no longer used
        slideScoreEcstatic = 25, --no longer used
		-- Legacy outdated variables end

        -- Values for the GOAT
  		quickBonus = 5,
        checkoutBonusMoodAngry = 0,
        checkoutBonusMoodAnnoyed = 0,
        checkoutBonusMoodEcstatic = 0,
        checkoutBonusMoodHappy = 0,
        checkoutBonusMoodNormal = 0,
		-- D13
		--[[
        checkoutBonusMoodEcstatic = 30,
        checkoutBonusMoodHappy = 20,
        checkoutBonusMoodNormal = 10,
		]]
        defaultProductValue = 10,
        cleanStoreBonus = 20,                -- Bonus for having the store clean at the end of the day
        cleanBonus = 10,                     -- Bonus for cleaning a table
        mouseBonus = 100,
    }


characterTypes = {
        default = {
            x=levelDesc.initPos.x, y=levelDesc.initPos.y,
            class						= "DelCharacter",		-- E.g. "Customer"
            baseAnimation				= "error-default",		-- Dummy
            defaultAnimation			= "",					--
            walkSpeed					= 600,					-- Pixels / sec
            animationWalkSpeed			= 600,					-- Pixels / sec
            verticalWalkMultiplier		= 0.666,				-- Modifies vertical speed
            walkFrameDistanceHor		= 120*2/(3*2),			-- Pixels to travel for next walk frame (horizontal)
            walkFrameDistanceVer		= 12*2,					-- Pixels to travel for next walk frame (vertical)
            minAge						= 30,					--
            maxAge						= 30,					--
            valueMultipliers			= {},					--
            valueAdders					= {},					--
            playIdleAnimations			= true,
            isCustomer					= false,
            allowAutoHorizontalFlip		= true,
            floor						= -48,
            moodPos						= {70, -280},
            moodPosSit					= {-100, -220},
            tipPos						= {70, -240},
            tipPosSit					= {-100, -180},
            moodHeartPos				= {0, -380},
            anchor						= "bottom",
            tableClipHeight				= 125,
            lookoutDuration				= 11000,
            waitAtDirtyTableTime		= 10000,
            shadowResource				= "shadow:characters",
						shadowBlendMode 			= "multiply",
            idleAnimations = {
                {a="idle1", f=150, c=1},
                {a="idle2", f=150, c=1},
                {a="idle3", f=150, c=1},
              },
            thinkTime = 4000,
            eatTime = 8000,
        },


        -- D15
        -- Main characters
        emily = {
            baseAnimation = "emily",
        },

		emily_p1 = {
            baseAnimation = "emily_p1",
        },

        emily_p2 = {
            baseAnimation = "emily_p2",
        },

        emily_h = {
            baseAnimation = "emily_h",
        },

        emily_y = {
            baseAnimation = "emily_y",
        },

		emily_pj = {
            baseAnimation = "emily_pj",
        },

        edward = {
            baseAnimation = "edward",
        },

        evelyn = {
            baseAnimation = "evelyn",
        },

        patrick = {
            baseAnimation = "patrick",
        },

		patrick_disguised = {
            baseAnimation = "patrick_disguised",
        },

        paige = {
            baseAnimation = "paige",
			shadowResource = "shadow_small:characters",
        },

        paige_w = {
            baseAnimation = "paige_w",
			shadowResource = "shadow_small:characters",
        },

        vito = {
            baseAnimation = "vito",
        },

        vito_w = {
            baseAnimation = "vito_w",
        },

        francois = {
            baseAnimation = "francois",
        },

        -- r1

        ["normal_snu_casual"] = {
            baseAnimation = "customer-normal_snu_casual",
            gender = "male"
        },

        ["normal_snu_casual"] = {
            baseAnimation = "customer-normal_snu_casual",
            gender = "female"
        },

				nurse = {
            baseAnimation = "nurse",
        },

        offscreenbabynoise = {
            baseAnimation = "offscreenbabynoise",
        },

        allisoncomputer = {
            baseAnimation = "allisoncomputer",
        },

        allvlogparticipants = {
            baseAnimation = "allvlogparticipants",
        },

        customercomputer = {
            baseAnimation = "customercomputer",
        },

        laptop = {
            baseAnimation = "laptop",
        },

        allison = {
            baseAnimation = "allison",
        },

        tina = {
            baseAnimation = "tina",
        },

        femalerobin = {
            baseAnimation = "femalerobin",
						shadowResource  = "shadow_small_green:characters",
        },

        babyrobin = {
            baseAnimation = "babyrobin",
						shadowResource  = "shadow_small_green:characters",
        },

				shoprobin = {
            baseAnimation = "shoprobin",
						shadowResource  = "shadow_large:characters",
        },

        -- r2
        -- D15

        dr_bonzo = {
            baseAnimation = "dr_bonzo",
        },

        dr_bonzo_noseless = {
            baseAnimation = "dr_bonzo_noseless",
        },

        gina = {
            baseAnimation = "gina",
        },

        tina = {
            baseAnimation = "tina",
        },

        customer1 = {
            baseAnimation = "customer1",
        },

        customer2 = {
            baseAnimation = "customer2",
        },

        disguisepatrick = {
            baseAnimation = "disguisepatrick",
        },

		sharon = {
            baseAnimation = "sharon",
        },

        grace = {
            baseAnimation = "grace",
        },

        angela = {
            baseAnimation = "angela",
        },

		antonio = {
            baseAnimation = "antonio",
        },

        -- r3
		-- D15

        ["elder_snu_female"] = {
            baseAnimation = "customer-elder_snu",
            gender = "female"
        },

        susan = {
            baseAnimation = "susan",
        },

        ["baby_male"] = {
            baseAnimation = "customer-baby",
            gender = "male"
        },

        ["baby_male2"] = {
            baseAnimation = "customer-baby",
            gender = "male"
        },

        ["baby_female"] = {
            baseAnimation = "customer-baby",
            gender = "female"
        },

        ["biggie_kid_male"] = {
            baseAnimation = "customer-biggie_kid",
            shadowResource  = "shadow_small:characters",
            gender = "male"
        },

		["biggie_kid_female"] = {
            baseAnimation = "customer-biggie_kid",
            shadowResource  = "shadow_small:characters",
            gender = "female"
        },

        ["normal_kid_male"] = {
            baseAnimation = "customer-normal_kid",
            shadowResource  = "shadow_small:characters",
            gender = "male"
        },

		["normal_kid_female"] = {
            baseAnimation = "customer-normal_kid",
            shadowResource  = "shadow_small:characters",
            gender = "female"
        },

        ["children_kid_male"] = {
            baseAnimation = "customer-children_kid",
            shadowResource  = "shadow_small:characters",
            gender = "male"
        },

        ["children_kid_female"] = {
            baseAnimation = "customer-children_kid",
            shadowResource  = "shadow_small:characters",
            gender = "female"
        },

        ["biggie_snu_male"] = {
            baseAnimation = "customer-biggie_snu",
            gender = "male"
        },

        ["biggie_snu_female"] = {
            baseAnimation = "customer-biggie_snu",
            gender = "female"
        },

        ["children_ita_male"] = {
            baseAnimation = "customer-children_ita",
            gender = "male"
        },

        ["children_ita_female"] = {
            baseAnimation = "customer-children_ita",
            gender = "female"
        },

        ["children_fab_male"] = {
            baseAnimation = "customer-children_fab",
            gender = "male"
        },

        ["children_fab_female"] = {
            baseAnimation = "customer-children_fab",
            gender = "female"
        },

        ["normal_snu_female"] = {
            baseAnimation = "customer-normal_snu",
            gender = "female"
        },

        ["normal_snu_male"] = {
            baseAnimation = "customer-normal_snu",
            gender = "male"
        },

        -- r4
        mary_lynn = {
            baseAnimation = "mary_lynn",
        },

        andy = {
            baseAnimation = "andy",
        },

        francois_entertainer = {
            francois_entertainer = "francois_entertainer",
        },

        customer_yoga1 = {
            baseAnimation = "customer_yoga",
        },

        customer_yoga2 = {
            baseAnimation = "customer_yoga",
        },

        customer_yoga_boyfriend1 = {
            baseAnimation = "customer_yoga_boyfriend",
        },

        customer_yoga_boyfriend2 = {
            baseAnimation = "customer_yoga_boyfriend",
        },

        -- r5
        ["biggie_snu_male"] = {
            baseAnimation = "customer-biggie_snu",
            gender = "male"
        },

        ["normal_snu_female"] = {
            baseAnimation = "customer-normal_snu",
            gender = "female"
        },

        ["biggie_snu_female"] = {
            baseAnimation = "customer-biggie_snu",
            gender = "female"
        },

        ["yuppie_doctor_male"] = {
            baseAnimation = "customer-yuppie_doctor",
            gender = "male"
        },

        ["yuppie_casual_male"] = {
            baseAnimation = "customer-yuppie_casual",
            gender = "male"
        },

        emily_casual = {
            baseAnimation = "emily_casual",
        },
		dr_bonzo = {
            baseAnimation = "dr_bonzo",
        },
		patient = {
            baseAnimation = "patient",
        },
        giorgio = {
            baseAnimation = "giorgio",
        },
		stacy = {
            baseAnimation = "stacy",
        },
		britney = {
            baseAnimation = "britney",
        },

        ball = {
            baseAnimation = "ball",
            shadowResource	= "shadow_small:characters",
        },

        doctor = {
            baseAnimation = "doctor",
        },

        -- r6
		-- D15

        stacy_casual = {
            baseAnimation = "stacy_casual",
        },

        britney_casual = {
            baseAnimation = "britney_casual",
        },

		["normal_snu_casual_male"] = {
            baseAnimation = "customer-normal_snu_casual",
            gender = "male"
        },

		["normal_snu_casual_female"] = {
            baseAnimation = "customer-normal_snu_casual",
            gender = "female"
        },

		["elder_snu_casual_male"] = {
            baseAnimation = "customer-elder_snu_casual",
            gender = "male"
        },

		["elder_snu_casual_female"] = {
            baseAnimation = "customer-elder_snu_casual",
            gender = "female"
        },

		["biggie_snu_casual_pregnant_male"] = {
            baseAnimation = "customer-biggie_snu_casual_pregnant",
            gender = "male"
        },

		["biggie_snu_casual_pregnant_female"] = {
            baseAnimation = "customer-biggie_snu_casual_pregnant",
            gender = "female"
        },

		["normal_spa_pregnant_female"] = {
            baseAnimation = "customer-normal_spa_pregnant",
            gender = "female"
        },

		["normal_spa_pregnant_male"] = {
            baseAnimation = "customer-normal_spa_pregnant",
            gender = "male"
        },

		["biggie_spa_pregnant_female"] = {
            baseAnimation = "customer-biggie_spa_pregnant",
            gender = "female"
        },

		["biggie_spa_pregnant_male"] = {
            baseAnimation = "customer-biggie_spa_pregnant",
            gender = "male"
        },

		["elder_spa_female"] = {
            baseAnimation = "customer-elder_spa",
            gender = "female"
        },

		["elder_spa_male"] = {
            baseAnimation = "customer-elder_spa",
            gender = "male"
        },

		["yuppie_spa_pregnant_female"] = {
            baseAnimation = "customer-yuppie_spa_pregnant",
            gender = "female"
        },

		["yuppie_spa_pregnant_male"] = {
            baseAnimation = "customer-yuppie_spa_pregnant",
            gender = "male"
        },

		["normal_patient_pregnant_female"] = {
            baseAnimation = "customer-normal_patient_pregnant",
            gender = "female"
        },

		["normal_patient_pregnant_male"] = {
            baseAnimation = "customer-normal_patient_pregnant",
            gender = "male"
        },

		["yuppie_doctor_female"] = {
            baseAnimation = "customer-yuppie_doctor",
            gender = "female"
        },

		["yuppie_doctor_male"] = {
            baseAnimation = "customer-yuppie_doctor",
            gender = "male"
        },

		["biggie_patient_pregnant_female"] = {
            baseAnimation = "customer-biggie_patient_pregnant",
            gender = "female"
        },

		["biggie_patient_pregnant_male"] = {
            baseAnimation = "customer-biggie_patient_pregnant",
            gender = "male"
        },

		["normal_casual_pregnant_female"] = {
            baseAnimation = "customer-normal_casual_pregnant",
            gender = "female"
        },

		["normal_casual_pregnant_male"] = {
            baseAnimation = "customer-normal_casual_pregnant",
            gender = "male"
        },

		["yuppie_casual_female"] = {
            baseAnimation = "customer-yuppie_casual",
            gender = "female"
        },

		["yuppie_casual_male"] = {
            baseAnimation = "customer-yuppie_casual",
            gender = "male"
        },

		vito_jr = {
				baseAnimation = "vito_jr",
		},

		emmy = {
				baseAnimation = "emmy",
		},

        angela = {
                baseAnimation = "angela",
        },


		["francois_carer_male"] = {
            baseAnimation = "customer-francois_carer",
            gender = "male"
        },

		carer_fake = {
            baseAnimation = "emily",
        },

        -- Customers D15
        -- r1
		["emily_carer"] = {
            normal = true,
            baseAnimation = "customer-emily_carer",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["francois_carer"] = {
            normal = true,
            baseAnimation = "customer-francois_carer",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["normal_snu"] = {
            normal = true,
            baseAnimation = "customer-normal_snu",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["elder_snu"] = {
            elder = true,
            baseAnimation = "customer-elder_snu",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 145,
            thinkTime = 9000,
            eatTime = 20000,
            tipClass = 1,
            patienceClass = 3,
            complexityClass = 2,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["children_fab"] = {
            kid = true,
            baseAnimation = "customer-children_fab",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 124,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 1,
            patienceClass = 1,
            complexityClass = 1,
            walkSpeed = 720,
            animationwalkSpeed = 720,
        },

        ["biggie_snu"] = {
            biggie = true,
            baseAnimation = "customer-biggie_snu",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 131,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

		--R2

		["normal_snu_casual"] = {
            normal = true,
            baseAnimation = "customer-normal_snu_casual",
            floor = -55,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

		["elder_snu_casual"] = {
            normal = true,
            baseAnimation = "customer-elder_snu_casual",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 9000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 480,
            animationWalkSpeed = 480,
        },

		["biggie_snu_casual_pregnant"] = {
            biggie = true,
            baseAnimation = "customer-biggie_snu_casual_pregnant",
			floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 131,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

		-- R3
		["normal_kid"] = {
            normal = true,
            baseAnimation = "customer-children_kid", -- assets are exchanged with children-kid because of an export error too late to solve
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 87,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["children_kid"] = {
            kid = true,
            baseAnimation = "customer-normal_kid", -- assets are exchanged with normal-kid because of an export error too late to solve
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 87,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 1,
            patienceClass = 1,
            complexityClass = 1,
            walkSpeed = 720,
            animationwalkSpeed = 720,
        },

        ["biggie_kid"] = {
            elder = true,
            baseAnimation = "customer-biggie_kid",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 87,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        -- R4

		["normal_spa_pregnant"] = {
            normal = true,
            baseAnimation = "customer-normal_spa_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["yuppie_spa_pregnant"] = {
            yuppie = true,
            baseAnimation = "customer-yuppie_spa_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 142,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 1,
            complexityClass = 3,
            walkSpeed = 720,
            animationWalkSpeed = 720,
        },

        ["biggie_spa_pregnant"] = {
            biggie = true,
            baseAnimation = "customer-biggie_spa_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 140,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["elder_spa"] = {
            elder = true,
            baseAnimation = "customer-elder_spa",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 147,
            thinkTime = 9000,
            eatTime = 20000,
            tipClass = 1,
            patienceClass = 3,
            complexityClass = 2,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        -- R5
        ["normal_patient_pregnant"] = {
            normal = true,
            baseAnimation = "customer-normal_patient_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

        ["biggie_patient_pregnant"] = {
            biggie = true,
            baseAnimation = "customer-biggie_patient_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["yuppie_doctor"] = {
            yuppie = true,
            baseAnimation = "customer-yuppie_doctor",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 140,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 1,
            complexityClass = 3,
            walkSpeed = 720,
            animationWalkSpeed = 720,
        },

        ["emily_hospital"] = {
            biggie = true,
            baseAnimation = "customer-emily_h",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 115,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["fast_emily_hospital"] = {
            biggie = true,
            baseAnimation = "customer-emily_h",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["stacy_hospital"] = {
            biggie = true,
            baseAnimation = "customer-stacy",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

        ["britney_hospital"] = {
            biggie = true,
            baseAnimation = "customer-britney",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 6000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 2,
            complexityClass = 3,
            walkSpeed = 480,
            animationwalkSpeed = 480,
        },

		--R6

		["normal_casual_pregnant"] = {
            normal = true,
            baseAnimation = "customer-normal_casual_pregnant",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 135,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 2,
            patienceClass = 2,
            complexityClass = 2,
            walkSpeed = 600,
            animationWalkSpeed = 600,
        },

		["yuppie_casual"] = {
            yuppie = true,
            baseAnimation = "customer-yuppie_casual",
            floor = -48,
            walkFrameDistanceHor = 120*2/(3*2),
            walkFrameDistanceVer = 12*2,
            tableClipHeight = 140,
            thinkTime = 8000,
            eatTime = 20000,
            tipClass = 3,
            patienceClass = 1,
            complexityClass = 3,
            walkSpeed = 720,
            animationWalkSpeed = 720,
        },


        -- OLD D13 CHARACTERS
        -- TO-DO: Delete after setting all the D15 characters
        -- Characters

        antonio = {
            baseAnimation = "antonio",
        },
        brigid = {
            baseAnimation = "brigid",
        },
        rabbit = {
            baseAnimation = "rabbit",
            shadowResource  = "shadow_small:characters",
        },

        edward = {
            baseAnimation = "edward",
            tableClipHeight = 122,
        },
        antonio = {
            baseAnimation = "antonio",
        },
        brigid = {
            baseAnimation = "brigid",
        },
        rabbit = {
            baseAnimation = "rabbit",
            shadowResource  = "shadow_small:characters",
        },

        evelyn_cleaner = {
            baseAnimation = "evelyn_cleaner",
        },

        francois_entertainer = {
            baseAnimation = "francois_entertainer",
        },
        paige = {
            baseAnimation = "paige",
            tableClipHeight = 30,
            floor = -43,
            shadowResource  = "shadow_small:characters",
        },

        patrick = {
            baseAnimation = "patrick",
        },

        paige_restocker = {
            baseAnimation = "paige_restocker",
            floor = -43,
            shadowResource  = "shadow_small:characters",
            idleAnimations = {
                {a="idle1", f=300, c=3},
                {a="idle2", f=300, c=3},
              },
        },

        emily_casual = {
            baseAnimation = "emily-casual",
        },

        edward_cleaner = {
            baseAnimation = "edward_cleaner",
        },

        emily = {
          baseAnimation = "emily",
        },
}

--$$$

--table.copy_into(characterTypes, tmpCharacterTypes, false, false, false)

for _,v in pairs(characterTypes) do
    v.defaultSection = v.baseAnimation
    if (v.tipClass) then
        local tc = levelDesc.tipClasses[v.tipClass]
        --GH.assert(tc, "Tip class not found: '"..tostring(v.tipClass).."'")
        for k,t in pairs(tc) do v[k] = t end
    end
    if (v.patienceClass) then
        local pc = levelDesc.patienceClasses[v.patienceClass]
        --GH.assert(pc, "Patience class not found: '"..tostring(v.patienceClass).."'")
        for k,t in pairs(pc) do v[k] = t end
    end
end


maxQuickprepsOnMenu = 14 -- Restaurant 2
maxBonusTipOnMenu = 15 -- Restaurant 2 again

levelDesc.productEffects =
{
        default = {--[[workDuration=400, tip=0, increaseHappiness=0--]]}, --all the effects of the item-bonusses in the product chooser
}


local productEffects = levelDesc.productEffects

-- New for D13
local productEffectValues =
{
    -- default
    defaultSingleWorkTime = 400,        -- workDuration
    defaultCompoundWorkTime = 200,      -- workDuration
    defaultRestockWorkTime = 600,		-- workDuration (restock)
    defaultPrepareTime = 2000,          -- prepareDuration
    defaultDecayTime = 4000,            -- decayDelay
    defaultWorth = 1,					-- worth
    defaultMoodBonus = 0,				-- increaseHappiness
    defaultMaxStock = 6,					-- stock
	defaultStartingStock = 3, 	        -- initial stock
    defaultTipAmount = 0,				-- tip
    defaultMeltTime = 5000,				-- meltDuration
    defaultRegrowDelayMin = 6000,		-- regrowDelayMin
    defaultRegrowDelayMax = 6000,		-- regrowDelayMax
    -- quickprep
    fastSingleWorkTime = 200,     		-- workDuration
	fastRestockWorkTime = 400, 		    -- workDuration (restock)
    fastCompoundWorkTime = 100,   		-- workDuration
    fastPrepareTime = 1600,       		-- prepareDuration
	-- decay
    slowDecayTime = 8000,         		-- decayDelay
	verySlowDecayTime = 12000,			-- decayDelay
    -- tip
    bonusTipAmount = 2,           		-- tip
    moodBonus = 1, 		 				-- increaseHappiness
    bigMoodBonus = 2,					-- increaseHappiness (Big)
	-- melt
    slowMeltTime = 10000,		 		-- meltDuration
    -- restock
    increaseWorth = 2, 					-- worth
	bigMaxStock = 9,   				    -- maxStock
    -- grow
    fastRegrowDelayMin = 3000,    		-- regrowDelayMin
    fastRegrowDelayMax = 3000, 			-- regrowDelayMax
}

productGroups = {
    { -- room1 emily home-kitchen
        -- $room1_productGroups
		-- cold drinks
		pg_single1 =
		{
			{images={"button#single1-a"}, effects={{tip = productEffectValues.defaultTipAmount}}},
			{images={"button#single1-b"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 15},
		},
		-- cakes
		pg_single2 =
		{
			{images={"button#single2-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.defaultTipAmount}}},
			{images={"button#single2-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, tip = productEffectValues.defaultTipAmount}}, icons={"quickprep"}, goal = 10},
			{images={"button#single2-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, workDuration = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 15},
		},
		-- donuts
		pg_single3 =
		{
			{images={"button#single3-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus}}},
			{images={"button#single3-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus}}, icons={"quickprep"}, goal = 10},
			{images={"button#single3-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal = 15},
		},

		-- recipe books
		pg_single6 =
		{
			{images={"button#single6-a"}, effects={{increaseHappiness = productEffectValues.defaultMoodBonus}}},
			{images={"button#single6-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal = 20},
		},
		-- soup
		pg_restock1 =
		{
			{images={"button#restocker1-a", "button#restock1-a", "button#restock1_empty-a"}, effects={nil, {workDuration = productEffectValues.defaultRestockWorkTime, initialMaxStock = productEffectValues.defaultMaxStock, stock =  productEffectValues.defaultStartingStock}}},
			{images={"button#restocker1-b", "button#restock1-b", "button#restock1_empty-b"}, effects={nil, {workDuration = productEffectValues.fastRestock, initialMaxStock = productEffectValues.defaultMaxStock, stock =  productEffectValues.defaultStartingStock}}, icons={"quickprep"}, goal=25},
			{images={"button#restocker1-c", "button#restock1-c", "button#restock1_empty-c"}, effects={nil, {workDuration = productEffectValues.defaultRestockWorkTime, initialMaxStock = productEffectValues.bigMaxStock, stock =  productEffectValues.defaultStartingStock}}, icons={"stockmax"}, goal=30},
		},
		-- 	meatloaf
		pg_restock2 =
		{
			{images={"button#restocker2-a", "button#restock2-a", "button#restock2_empty-a"}, effects={nil, worth = productEffectValues.defaultWorth}},
			{images={"button#restocker2-b", "button#restock2-b", "button#restock2_empty-b"}, effects={nil, worth = productEffectValues.increaseWorth}, icons={"efficientstock"}, goal = 15},
		},
		-- sandwich
		pg_compound1 =
		{
			{images={"button#compound1-1-a", "button#compound1-2-a", "button#compound1-3-a", "button#compound1-4-a"}, effects={{{tip = productEffectValues.defaultTipAmount},{workDuration = productEffectValues.defaultCompoundWorkTime}}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime},{workDuration = productEffectValues.defaultCompoundWorkTime}}},
			{images={"button#compound1-1-b", "button#compound1-2-b", "button#compound1-3-b", "button#compound1-4-b"}, effects={{{tip = productEffectValues.defaultTipAmount},{workDuration = productEffectValues.fastCompoundWorkTime}}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime},{workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=45},
			{images={"button#compound1-1-c", "button#compound1-2-c", "button#compound1-3-c", "button#compound1-4-c"}, effects={{{tip = productEffectValues.bonusTipAmount},{workDuration = productEffectValues.defaultCompoundWorkTime}}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime},{workDuration = productEffectValues.defaultCompoundWorkTime}}, icons={"tip"}, goal=50},
		},
		-- pancake
		pg_compound2 =
		{
			{images={"button#compound2-1-a", "button#compound2-2-a"}, effects={{increaseHappiness = productEffectValues.defaultMoodBonus, workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
			{images={"button#compound2-1-b", "button#compound2-2-b"}, effects={{increaseHappiness = productEffectValues.moodBonus, workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=30},
			{images={"button#compound2-1-c", "button#compound2-2-c"}, effects={{increaseHappiness = productEffectValues.defaultMoodBonus, workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}, icons={"highmood"}, goal=50},
		},
		-- sundaes
		pg_timer1 =
		{
			{images={"button#timer1-a", "button#timer1-a.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}},
			{images={"button#timer1-b", "button#timer1-b.ready"}, effects={nil, {prepareDuration = productEffectValues.fastPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"quickprep"}, goal=20},
			{images={"button#timer1-c", "button#timer1-c.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.verySlowDecayTime}}, icons={"nospill"}, goal=25},
		},
		-- meat
		pg_timer2 =
		{
			{images={"button#timer2-a", "button#timer2-a.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}},
			{images={"button#timer2-b", "button#timer2-b.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.slowDecayTime}}, icons={"noburn"}, goal=10},
			{images={"button#timer2-c", "button#timer2-c.ready"}, effects={nil, {prepareDuration = productEffectValues.fastPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"quickprep"}, goal=20},
		},
  	},
    { -- room2 Babyshop	=============================================================================================
        -- $room2_productGroups
		pg_restock7 =
		{
			{images={"button#restock7-a", "button#shelf7-a", "button#restock7_empty-a"}, effects={{worth = productEffectValues.defaultWorth}, {workDuration = productEffectValues.defaultRestockWorkTime}, nil}},
			{images={"button#restock7-b", "button#shelf7-b", "button#restock7_empty-b"}, effects={{worth = productEffectValues.defaultWorth}, {workDuration = productEffectValues.fastRestockWorkTime}, nil}, icons={"quickrestock"}, goal=34},
			{images={"button#restock7-c", "button#shelf7-c", "button#restock7_empty-c"}, effects={{worth = productEffectValues.increaseWorth}, {workDuration = productEffectValues.defaultRestockWorkTime}, nil}, icons={"efficientstock"}, goal=36},
		},

		pg_restock9 =
		{
			{images={"button#restock9-a", "button#restocker9-a", "button#restock9_empty-a"}, effects={{initialMaxStock = productEffectValues.defaultMaxStock}, {workDuration = productEffectValues.defaultRestockWorkTime, stock = productEffectValues.defaultStartingStock}, nil}},
			{images={"button#restock9-b", "button#restocker9-b", "button#restock9_empty-b"}, effects={{initialMaxStock = productEffectValues.defaultMaxStock}, {workDuration = productEffectValues.fastRestockWorkTime, stock = productEffectValues.defaultStartingStock}, nil}, icons={"quickrestock"}, goal=24},
			{images={"button#restock9-c", "button#restocker9-c", "button#restock9_empty-c"}, effects={{initialMaxStock = productEffectValues.bigMaxStock}, {workDuration = productEffectValues.defaultRestockWorkTime, stock = productEffectValues.defaultStartingStock}, nil}, icons={"stockmax"}, goal=40},
		},

		pg_singleclick8 =
		{
			{images={"button#singleclick8-a"}, effects={workDuration = productEffectValues.defaultSingleWorkTime}},
			{images={"button#singleclick8-b"}, effects={workDuration = productEffectValues.fastSingleWorkTime}, icons={"quickprep"}, goal=30},
		},

		pg_singleclick10 =
		{
			{images={"button#singleclick10-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.defaultTipAmount}}},
			{images={"button#singleclick10-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, tip = productEffectValues.defaultTipAmount}}, icons={"quickprep"}, goal=5},
			{images={"button#singleclick10-c"}, effects={{tip = productEffectValues.bonusTipAmount, workDuration = productEffectValues.defaultSingleWorkTime}}, icons={"tip"}, goal = 15},
		},

		pg_singleclick11 =
		{
			{images={"button#singleclick11-a"}, effects={increaseHappiness = productEffectValues.defaultmoodBonus, tip = productEffectValues.defaultTipAmount}},
			{images={"button#singleclick11-b"}, effects={increaseHappiness = productEffectValues.moodBonus, tip = productEffectValues.defaultTipAmount}, icons={"highmood"}, goal=5},
			{images={"button#singleclick11-c"}, effects={tip = productEffectValues.bonusTipAmount, increaseHappiness = productEffectValues.defaultmoodBonus}, icons={"tip"}, goal = 10},
		},

		pg_singleclick13 =
		{
			{images={"button#singleclick13-a"}, effects={workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = defaultMoodBonus}},
			{images={"button#singleclick13-b"}, effects={workDuration = productEffectValues.fastSingleWorkTime, increaseHappiness = defaultMoodBonus}, icons={"quickprep"}, goal=5},
			{images={"button#singleclick13-c"}, effects={workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.moodBonus}, icons={"highmood"}, goal = 15},
		},

		pg_compound1 =
		{
			{images={"button#compound1-1-a", "button#compound1-2-a", "button#compound1-1-a#compound1-2-a.ready"}, effects={nil, nil, prepareDuration = productEffectValues.defaultPrepareTime}},
			{images={"button#compound1-1-b", "button#compound1-2-b", "button#compound1-1-b#compound1-2-b.ready"}, effects={nil, nil, {prepareDuration = productEffectValues.fastPrepareTime}}, icons={"quickprep"},  goal=12},
		},

		pg_compound2 =
		{
			{images={"button#compound2-1-a", "button#compound2-2-a", "button#compound2-3-a", "button#compound2-4-a"}, effects={{workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
			{images={"button#compound2-1-b", "button#compound2-2-b", "button#compound2-3-b", "button#compound2-4-b"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=30},
		},

		pg_compound3 =
		{
			{images={"button#compound3-1-a", "button#compound3-2-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = defaultMoodBonus, }, {workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = defaultMoodBonus}}},
			{images={"button#compound3-1-c", "button#compound3-2-c"}, effects={{increaseHappiness = productEffectValues.moodBonus, workDuration = productEffectValues.defaultSingleWorkTime}, {increaseHappiness = productEffectValues.moodBonus, workDuration = productEffectValues.defaultSingleWorkTime}}, icons={"highmood"}, goal=25},
		},

		pg_compound4 =
		{
			{images={"button#compound3-1-b", "button#compound3-2-b"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime,tip = productEffectValues.defaultTipAmount}, {workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.defaultTipAmount}}},
			{images={"button#compound3-1-d", "button#compound3-2-d"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}, {workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 37},
		},

		pg_timer3 =
		{
			{images={"button#timer3-a", "button#timer3-a.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}},
			{images={"button#timer3-b", "button#timer3-b.ready"}, effects={nil, {prepareDuration = productEffectValues.fastPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"quickprep"},  goal=10},
			{images={"button#timer3-c", "button#timer3-c.ready"}, effects={nil, {decayDelay = productEffectValues.verySlowDecayTime, prepareDuration = productEffectValues.defaultPrepareTime}}, icons={"nospill"}, goal=15},
		},
    },

    { -- room 3
        -- $room3_productGroups
		pg_single1 =
		{
			{images={"button#single1-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime,	increaseHappiness = 0}}},
			{images={"button#single1-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime,      increaseHappiness = 0}}, icons={"quickprep"}, goal=10},
			{images={"button#single1-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime,   increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=15},
		},

		pg_single2 =
		{
			{images={"button#single2-a"}, effects={{increaseHappiness = 0}}},
			{images={"button#single2-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=6},
		},

		pg_single3 =
		{
			{images={"button#single3-a"}, effects={{tip = 0}}},
			{images={"button#single3-b"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal=15},
		},

		pg_single4 =

		{
			{images={"button#single4-a"}, effects={{increaseHappiness = 0}}},
			{images={"button#single4-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=10},
		},

		pg_single5 =
		{
			{images={"button#single5-a"}, effects={{increaseHappiness = 0}}},
			{images={"button#single5-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=15},
		},

		pg_restock1 =
		{
			{images={"button#restock1-a", "button#restock1_empty-a", "button#restock1-a_dropped"}, effects={{tip = 0}}},
			{images={"button#restock1-b", "button#restock1_empty-b", "button#restock1-b_dropped"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal=25},
		},

		pg_restock2 =
		{
			{images={"button#restock2-a", "button#restock2_empty-a", "button#restock2-a_dropped"}, effects={{tip = 0}}},
			{images={"button#restock2-b", "button#restock2_empty-b", "button#restock2-b_dropped"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal=30},
		},

		pg_timer1 =
		{
			{images={"button#timer1-a", "button#timer1-a.ready"}, effects={nil, {decayDelay = productEffectValues.defaultDecayTime, prepareDuration = productEffectValues.defaultPrepareTime}}},
			{images={"button#timer1-b", "button#timer1-b.ready"}, effects={nil, {decayDelay = productEffectValues.defaultDecayTime, prepareDuration = productEffectValues.fastPrepareTime}}, icons={"quickprep"}, goal=5},
			{images={"button#timer1-c", "button#timer1-c.ready"}, effects={nil, {decayDelay = productEffectValues.verySlowDecayTime, prepareDuration = productEffectValues.defaultPrepareTime}}, icons={"nospill"}, goal=10},
		},

		--[[timer2 =
		{
			{images={"button#timer2-a", "button#timer2-a.ready"}, effects={nil, {meltDuration = productEffectValues.defaultMeltTime}}},
			{images={"button#timer2-b", "button#timer2-b.ready"}, effects={nil, {meltDuration = productEffectValues.slowMeltTime}}, icons={"nomelt"}, goal=1},
		},--]]

		--[[pg_special1 =
		{
			{images={"button#special1-a"}, effects={tip = 0}},
			{images={"button#special1-b"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal=5},
		},--]]

		pg_potato =
		{
			{images={"button#potato1-a", "button#potato2-a", "button#potato3-a", "button#potato1-b", "button#potato2-b", "button#potato3-b"}, effects={{workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
			{images={"button#potato1-c", "button#potato2-c", "button#potato3-c", "button#potato1-d", "button#potato2-d", "button#potato3-d"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=85},
		},

		pg_compound =
		{
			{images={"button#compound1-a", "button#compound2-a"}, effects={{tip = 0, workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
			{images={"button#compound1-b", "button#compound2-b"}, effects={{tip = 0, workDuration = productEffectValues.fastCompoundWorkTime}, 	  {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=40},
			{images={"button#compound1-c", "button#compound2-c"}, effects={{tip = productEffectValues.bonusTipAmount, workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}, icons={"tip"}, goal=65},
		},

        pg_trio =
        {
            {images={"button#trio1-a", "button#trio2-a", "button#trio3-a"}, effects={{workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
            {images={"button#trio1-b", "button#trio2-b", "button#trio3-b"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=27},
        },
    },

    { -- room 4
        -- $room4_productGroups
        pg_towel =
        {
            {images={"button#towel-a"}, effects={workDuration = productEffectValues.defaultSingleWorkTime}},
            {images={"button#towel-b"}, effects={workDuration = productEffectValues.fastSingleWorkTime}, icons={"quickprep"}, goal=51},
        },

        pg_soap =
        {
            {images={"button#soap-a"}, effects={{tip = 0}}},
            {images={"button#soap-b"}, effects={{tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 10},
        },

        pg_massage =
        {
            {images={"button#massage-a"}, effects={{increaseHappiness = 0}}},
            {images={"button#massage-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=14},
        },

        pg_snack =
        {
            {images={"button#snack-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = 0}}},
            {images={"button#snack-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, tip = 0}}, icons={"quickprep"}, goal = 17},
            {images={"button#snack-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 12},
        },

        pg_drink =
        {
            {images={"button#drink-a"}, effects={{increaseHappiness = 0}}},
            {images={"button#drink-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal=21},
        },

        pg_tea =
        {
            {images={"button#tea-a-grower", "button#tea-a-grower", "button#tea-a", "button#tea-a#tea-tap.ready", "button#tea_empty-a"}, effects={{regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.defaultWorth}, {regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.defaultWorth}, nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}},
            {images={"button#tea-a-grower", "button#tea-b-grower", "button#tea-b", "button#tea-b#tea-tap.ready", "button#tea_empty-b"}, effects={{regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.increaseWorth}, {regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.increaseWorth}, nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"efficientstock"}, goal=6},
            {images={"button#tea-a-grower", "button#tea-c-grower", "button#tea-c", "button#tea-c#tea-tap.ready", "button#tea_empty-c"}, effects={{regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.defaultWorth}, {regrowDelayMin = productEffectValues.defaultRegrowDelayMin, regrowDelayMax=productEffectValues.defaultRegrowDelayMax, worth = productEffectValues.defaultWorth}, nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.slowDecayTime}}, icons={"noburn"}, goal=9},
            {images={"button#tea-a-grower", "button#tea-d-grower", "button#tea-d", "button#tea-d#tea-tap.ready", "button#tea_empty-d"}, effects={{regrowDelayMin = productEffectValues.fastRegrowDelayMin, regrowDelayMax=productEffectValues.fastRegrowDelayMin, worth = productEffectValues.defaultWorth}, {regrowDelayMin = productEffectValues.fastRegrowDelayMin, regrowDelayMax=productEffectValues.fastRegrowDelayMin, worth = productEffectValues.defaultWorth}, nil, {prepareDuration = productEffectValues.quickPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"quickprep", "growfast"}, goal=14},
        },

        pg_juice =
        {
            {images={"button#fruit-a", "button#squeezer", "button#juice-a", "button#juice_empty-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime}, {workDuration = productEffectValues.defaultRestockWorkTime}, {initialMaxStock = productEffectValues.defaultMaxStock, stock = productEffectValues.defaultStartingStock}}},
            {images={"button#fruit-b", "button#squeezer", "button#juice-b", "button#juice_empty-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime}, {workDuration = productEffectValues.fastRestockWorkTime}, {initialMaxStock = productEffectValues.defaultMaxStock, stock = productEffectValues.defaultStartingStock}}, icons={"quickprep"}, goal=20},
            {images={"button#fruit-c", "button#squeezer", "button#juice-c", "button#juice_empty-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime}, {workDuration = productEffectValues.defaultRestockWorkTime}, {initialMaxStock = productEffectValues.bigMaxStock, stock = productEffectValues.defaultStartingStock}}, icons={"stockmax"}, goal=60},
        },

        pg_aromatics =
        {
            {images={"button#aromatics1-a", "button#aromatics2-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime}, {workDuration = productEffectValues.defaultSingleWorkTime, tip = 0}}},
            {images={"button#aromatics1-b", "button#aromatics2-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime}, {workDuration = productEffectValues.fastSingleWorkTime, tip = 0}}, icons={"quickprep"}, goal = 30},
            {images={"button#aromatics1-c", "button#aromatics2-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime}, {workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 35},
        },

        pg_mask =
        {
            {images={"button#mask1-a", "button#mask2-a", "button#mask3-a", "button#mask4-a"}, effects={{workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}}},
            {images={"button#mask1-b", "button#mask2-b", "button#mask3-b", "button#mask4-b"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal = 30},
        },

        pg_ice =
        {
            {images={"button#ice-a", "button#ice-a.ready"}, effects={ nil, {meltDuration = productEffectValues.defaultMeltTime}}},
            {images={"button#ice-b", "button#ice-b.ready"}, effects={ nil, {meltDuration = productEffectValues.slowMeltTime}},  icons={"nomelt"}, goal=16},
        },
    },

    { -- room 5
        -- $room5_productGroups
        pg_juice =
        {
            { images={"button#juice-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = 0}}},
            { images={"button#juice-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, tip = 0}}, icons={"quickprep"}, goal = 8},
            { images={"button#juice-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 24},
        },

        pg_fruit =
        {
            { images={"button#fruit-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = 0}}},
            { images={"button#fruit-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, tip = 0}}, icons={"quickprep"}, goal = 22},
            { images={"button#fruit-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal = 24},
        },

        pg_accessory =
        {
            { images={"button#accessory-a"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus}}},
            { images={"button#accessory-b"}, effects={{workDuration = productEffectValues.fastSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus}}, icons={"quickprep"}, goal = 3},
            { images={"button#accessory-c"}, effects={{workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.bigMoodBonus}}, icons={"doublemood"}, goal = 5},
        },

        pg_thermometer =
        {
            { images={"button#thermometer-a"}, effects={{increaseHappiness = productEffectValues.defaultMoodBonus}}},
            { images={"button#thermometer-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal = 6},
        },

        pg_cloths =
        {
            {images={"button#cloths-a"}, effects={{increaseHappiness = productEffectValues.defaultMoodBonus}}},
            {images={"button#cloths-b"}, effects={{increaseHappiness = productEffectValues.moodBonus}}, icons={"highmood"}, goal = 11},
        },

        pg_yogurt =
        {
            {images={"button#yogurt-shelf-a","button#yogurt1-a", "button#yogurt2-a", "button#yogurt3-a", "button#yogurt2_empty-a"}, effects={{workDuration = productEffectValues.defaultRestockWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, nil}},
            {images={"button#yogurt-shelf-b","button#yogurt1-b", "button#yogurt2-b", "button#yogurt3-b", "button#yogurt2_empty-b"}, effects={{workDuration = productEffectValues.defaultRestockWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, nil}, icons={"quickprep"}, goal=23},
            {images={"button#yogurt-shelf-c","button#yogurt1-c", "button#yogurt2-c", "button#yogurt3-c", "button#yogurt2_empty-c"}, effects={{workDuration = productEffectValues.fastRestockWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, nil}, icons={"quickrestock"}, goal=58},
        },

        pg_pills =
        {
            {images={"button#pills1-a","button#pills2-a","button#pills3-a"}, effects={{tip = 0}, {tip = 0}, {tip = 0}}},
            {images={"button#pills1-b","button#pills2-b","button#pills3-b"}, effects={{tip = productEffectValues.bonusTipAmount}, {tip = productEffectValues.bonusTipAmount}, {tip = productEffectValues.bonusTipAmount}}, icons={"tip"}, goal=7},
        },

        pg_printer =
        {
            {images={"button#printer-restock-a", "button#printer1-a", "button#printer1-a.ready", "button#printer1_empty-a"}, effects={nil, {initialMaxStock = productEffectValues.defaultMaxStock, stock = productEffectValues.defaultStartingStock}, {prepareDuration = productEffectValues.defaultPrepareTime}, nil}},
            {images={"button#printer-restock-b", "button#printer1-b", "button#printer1-b.ready", "button#printer1_empty-b"}, effects={nil, {initialMaxStock = productEffectValues.defaultMaxStock, stock = productEffectValues.defaultStartingStock}, {prepareDuration = productEffectValues.fastPrepareTime}, nil}, icons={"quickprep"}, goal = 14},
            {images={"button#printer-restock-c", "button#printer1-c", "button#printer1-c.ready", "button#printer1_empty-c"}, effects={nil, {initialMaxStock = productEffectValues.bigMaxStock, stock = productEffectValues.defaultStartingStock}, {prepareDuration = productEffectValues.defaultPrepareTime}, nil}, icons={"stockmax"}, goal = 49},
        },

        pg_coffee =
        {
            {images={"button#coffee-shelf-a","button#coffee-a", "button#coffee-a.ready", "button#coffee_empty-a"}, effects={nil, {worth = productEffectValues.defaultWorth}, {decayDelay = productEffectValues.defaultDecayTime}, nil}},
            {images={"button#coffee-shelf-b","button#coffee-b", "button#coffee-b.ready", "button#coffee_empty-b"}, effects={nil, {worth = productEffectValues.increaseWorth}, {decayDelay = productEffectValues.defaultDecayTime}, nil}, icons={"efficientstock"}, goal = 21},
            {images={"button#coffee-shelf-c","button#coffee-c", "button#coffee-c.ready", "button#coffee_empty-c"}, effects={nil, {worth = productEffectValues.defaultWorth}, {decayDelay = productEffectValues.verySlowDecayTime}, nil}, icons={"nospill"}, goal = 17},
        },

        pg_bottles =
        {
            {images={"button#bottles1-a", "button#bottles2-a", "button#bottles3-a", "button#bottles4-a"}, effects={{workDuration = productEffectValues.compoundWorkTime}, {workDuration = productEffectValues.compoundWorkTime}, {workDuration = productEffectValues.compoundWorkTime}}},
            {images={"button#bottles1-b", "button#bottles2-b", "button#bottles3-b", "button#bottles4-b"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=22},
        },
    },
    { -- room 6
        -- $room6_productGroups
			-- Memento - Gift Card (Single)
			pg_memento =
			{
				{images={"button#single3-a"}, effects={increaseHappiness = productEffectValues.defaultMoodBonus}},
				{images={"button#single3-b"}, effects={increaseHappiness = productEffectValues.defaultMoodBonus}, goal = 0},
				{images={"button#single3-c"}, effects={increaseHappiness = productEffectValues.moodBonus},  icons={"highmood"}, goal = 25},
				{images={"button#single3-d"}, effects={increaseHappiness = productEffectValues.bigMoodBonus},  icons={"doublemood"}, goal = 40},

			},

			-- Jam Jar (Single)
			pg_jam =
			{
				{images={"button#single7-a"}, effects={workDuration = productEffectValues.defaultSingleWorkTime, tip = 0}},
				{images={"button#single7-b"}, effects={workDuration = productEffectValues.fastSingleWorkTime, tip = 0}, icons={"quickprep"}, goal = 5},
				{images={"button#single7-c"}, effects={workDuration = productEffectValues.defaultSingleWorkTime, tip = productEffectValues.bonusTipAmount}, icons={"tip"}, goal = 10},
			},

			-- Macaroons (Single)
			pg_macaroon =
			{
				{images={"button#single8-a"},  effects={increaseHappiness = productEffectValues.defaultMoodBonus, tip = 0}},
				{images={"button#single8-b"},  effects={increaseHappiness = productEffectValues.moodBonus, tip = 0}, icons={"highmood"}, goal = 7},
				{images={"button#single8-c"},  effects={increaseHappiness = productEffectValues.defaultMoodBonus, tip = productEffectValues.bonusTipAmount}, icons={"tip"}, goal = 10},

			},

			pg_cupcake =
			{
				{images={"button#single9-a"},  effects={workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus, tip = 0}},
				{images={"button#single9-b"},  effects={workDuration = productEffectValues.fastSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus, tip = 0}, icons={"quickprep"}, goal = 10},
				{images={"button#single9-c"},  effects={workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.moodBonus, tip = 0}, icons={"highmood"}, goal = 15},
				{images={"button#single9-d"},  effects={workDuration = productEffectValues.defaultSingleWorkTime, increaseHappiness = productEffectValues.defaultMoodBonus, tip = productEffectValues.bonusTipAmount}, icons={"tip"}, goal = 20},

			},

			-- Punch (Restock)
			pg_punch =
			{
				{images={"button#restocker2-a", "button#restock2-a", "button#restock2_empty-a"}, effects={{workDuration = productEffectValues.defaultRestockWorkTime}, {worth = productEffectValues.defaultWorth}}},
				{images={"button#restocker2-b", "button#restock2-b", "button#restock2_empty-b"}, effects={{workDuration = productEffectValues.fastRestockWorkTime}, {worth = productEffectValues.defaultWorth}}, icons={"quickrestock"}, goal=25},
				{images={"button#restocker2-c", "button#restock2-c", "button#restock2_empty-c"}, effects={{workDuration = productEffectValues.defaultRestockWorkTime}, {worth = productEffectValues.increaseWorth}}, icons={"efficientstock"}, goal=30},
			},

			-- Cookies / Cinnamon works (Timer)
			pg_cookie =
			{
				{images={"button#timer2-a", "button#timer2-a.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}},
				{images={"button#timer2-b", "button#timer2-b.ready"}, effects={nil, {prepareDuration = productEffectValues.fastPrepareTime, decayDelay = productEffectValues.defaultDecayTime}}, icons={"quickprep"}, goal = 25},
				{images={"button#timer2-c", "button#timer2-c.ready"}, effects={nil, {prepareDuration = productEffectValues.defaultPrepareTime, decayDelay = productEffectValues.slowDecayTime }}, icons={"noburn"}, goal = 40},
			},

			-- Cotton (Compound + Timer)
			pg_cotton =
			{
				{images={"button#compound1-1-a", "button#compound1-2-a","button#compound1-1-a#compound1-1-a.ready"}, effects={nil, nil, {prepareDuration = productEffectValues.defaultPrepareTime}}},
				{images={"button#compound1-1-b", "button#compound1-2-b","button#compound1-1-b#compound1-1-b.ready"}, effects={nil, nil, {prepareDuration = productEffectValues.fastPrepareTime}}, icons={"quickprep"}, goal = 15},
			},

			-- Icecream (Compound + Restock)
			pg_icecream =
			{
				{images={"button#compound3-1-a", "button#compound3-2-a", "button#compound3-3-a", "button#compound3-4-a", "button#compound3-5-a", "button#restocker1-a", "button#compound3-1_empty-a", "compound3-2-a-bg", "compound3-3-a-bg", "compound3-4-a-bg"}, effects={{initialMaxStock = productEffectValues.defaultMaxStock, stock = productEffectValues.defaultStartingStock}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, {workDuration = productEffectValues.defaultCompoundWorkTime}, nil, nil, nil, nil, nil}},
				{images={"button#compound3-1-b", "button#compound3-2-b", "button#compound3-3-b", "button#compound3-4-b", "button#compound3-5-b", "button#restocker1-b", "button#compound3-1_empty-b", "compound3-2-b-bg", "compound3-3-b-bg", "compound3-4-b-bg"}, effects={{initialMaxStock = productEffectValues.bigMaxStock, stock =  productEffectValues.defaultStartingStock, workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime},{workDuration = productEffectValues.fastCompoundWorkTime}, {workDuration = productEffectValues.fastCompoundWorkTime}, nil, nil, nil, nil, nil}, icons={"quickprep","stockmax"}, goal=95},
			},

			-- Cake - stack (Compound)
			pg_cake =
			{
				{images={"button#compound2-1-a", "button#compound2-2-a", "button#compound2-3-a"}, effects={{workDuration = productEffectValues.defaultCompoundWorkTime},{workDuration = productEffectValues.defaultCompoundWorkTime},{workDuration = productEffectValues.defaultCompoundWorkTime}}},
				{images={"button#compound2-1-b", "button#compound2-2-b", "button#compound2-3-b"}, effects={{workDuration = productEffectValues.fastCompoundWorkTime},{workDuration = productEffectValues.fastCompoundWorkTime},{workDuration = productEffectValues.fastCompoundWorkTime}}, icons={"quickprep"}, goal=70},
			},
  	},
}

--[[
endLevelJingle = {
    rest1 = {day5={}},
    rest8 = {day9={}}
}
]]

-- muting the ending jingle example
--[[
levelDesc.endLevelJingle = {
    rest1 = {day3={sound="day_start:sound"}}, -- Play this sound
    rest2 = {day2={}} -- No sound
}
--]]
