doRoomFiles('room1')
levelDesc = levelDesc or {}
levelDesc.hasEventBar = true

levelDesc.productSettings["#compound1-1-a#compound1-2-a#compound1-4-a"].complexity = "easy"
levelDesc.productSettings["#compound1-1-b#compound1-2-b#compound1-4-b"].complexity = "easy"
levelDesc.productSettings["#compound1-1-c#compound1-2-c#compound1-4-c"].complexity = "easy"
levelDesc.productSettings["#compound1-1-a#compound1-2-a#compound1-4-a"].chance = 50
levelDesc.productSettings["#compound1-1-b#compound1-2-b#compound1-4-b"].chance = 50
levelDesc.productSettings["#compound1-1-c#compound1-2-c#compound1-4-c"].chance = 50
--Everything above or below the delimiters will be ignored by the tool
--Between the delimiters, only non-function elements of levelDesc will be maintained.
levelDesc.autoStartShift = false
levelDesc.values.maxTraySize = 3

firstOrder = {steps = {{"#single6-a","#single6-b"},},}
secondOrder = {steps = {{"#single3-a","#single3-b", "#single3-c"},},}
thirdOrder = {steps = {{"#single6-a","#single6-b", "#single3-a","#single3-b", "#single3-c"},},}
fourthOrder = {steps = {{"#compound1-1-a#compound1-2-a#compound1-4-a",
"#compound1-1-b#compound1-2-b#compound1-4-b", "#compound1-1-c#compound1-2-c#compound1-4-c"},},}
thirdtolastOrder = {steps = {{"#single3-a","#single3-b", "#single3-c", "#compound1-1-a#compound1-2-a#compound1-4-a",
"#compound1-1-b#compound1-2-b#compound1-4-b", "#compound1-1-c#compound1-2-c#compound1-4-c"},},}
secondtolastOrder = {steps = {{"#single6-a","#single6-b", "#single3-a","#single3-b", "#single3-c"},},}
lastOrder = {steps = {{"#single3-a","#single3-b", "#single3-c", "#single6-a","#single6-b"},},}

--$$$
--Everything above or below the delimiters will be ignored by the tool
--Between the delimiters, only non-function elements of levelDesc will be maintained.

levelDesc.customerChances = {
	biggie_snu = 0,
	children_fab = 0,
	elder_snu = 0,
	normal_snu = 0,
}

levelDesc.trigger = {
	class = "TriggerSystem",
	triggers = {
		{delay = 0, orderSize = 1, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", customOrder=firstOrder,},
		{delay = 10000, orderSize = 1, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", customOrder=secondOrder,},
		-- Event appears here
		{delay = 25000, orderSize = 2, place = "table", size = 2, customers = {{ traits = 'normal_snu'},{ traits = 'normal_snu'},}, trigger = "spawn", customOrder=thirdOrder,},
		{delay = 8000, orderSize = 1, place = "counter", customers = {{ traits = 'elder_snu'},}, trigger = "spawn", customOrder=fourthOrder,},
		{delay = 6000, orderSize = 1, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", },
		-- Event appears here
		{delay = 25000, orderSize = 1, place = "counter", customers = {{ traits = 'elder_snu'},}, trigger = "spawn", },
		{delay = 6000, orderSize = 1, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", },
		{delay = 6000, orderSize = 2, place = "table", size = 2, customers = {{ traits = 'elder_snu'},{ traits = 'elder_snu'},}, trigger = "spawn", customOrder=thirdtolastOrder,},
		-- Event appears here
		{delay = 25000, orderSize = 2, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", customOrder=secondtolastOrder,},
		{delay = 6000, orderSize = 2, place = "counter", customers = {{ traits = 'normal_snu'},}, trigger = "spawn", customOrder=lastOrder,},
	},
}

--$$$

levelDesc.eventDesc =
{
	class = "TellStoryEvent",
	autoStart = true,
	scoreAllDone = 0,
	scoreOneDone = 0,

	targetGoal = 3,
	restTime = 30000,
	targetCharacter = "vlog",
	attentionIcon = "exclamation:gamescene",
	attentionSound = "notification:sound",
}

-- Tutorial stuff
-- functions
local firstOrderedProduct = "single3"
local lastOrderedProduct = "compound1-4-a"
local customerEatingInterrupted = false

function levelDesc:startTutorial()
	self.tutorialState = "StartTutorial" -- TO DO check
	self.tutorialActive = true
	self.inputAlwaysEnabled = true
	self.currentMessageId = ""
	self.hintObjectsToRestore = {}
	level:setSkipButtonMinigame("tutorialSkip")
	level:showSkipButtonMinigame()

	self:disableAllObjects()

	self.isGamePlayLevel = false
	taskSystem:createAnimation("tutorial1")

end


function levelDesc:endTutorial()

	self.tutorialState = "Done"
	self.tutorialActive = false
	self.inputAlwaysEnabled = false
	level:hideSkipButtonMinigame()

	self:restoreAllObjects()

	self.isGamePlayLevel = true

	if (self.hintObjectsToRestore and #self.hintObjectsToRestore > 0)then
		local tmpObj
		for i=#self.hintObjectsToRestore,1,-1 do
			tmpObj = level:getObject(self.hintObjectsToRestore[i].name)
			tmpObj = self.hintObjectsToRestore[i]
			tmpObj.onClick = tmpObj.old_onClick
			tmpObj.clickable = true
			level:removeHintArrow(tmpObj)
			local tmpTable = level:getObject("table-a:2")
			tmpTable.plateState = "empty"
		end
	end
	 if(self.currentGroup and (self.currentGroup.state == "WalkingToTable" or self.currentGroup.state == "Thinking" or self.currentGroup.state == "Ordering" or self.currentGroup.state == "Eating"or self.currentGroup.state == "Paying")) then
	 	self.currentGroup:leave(true)
	 end
	self.currentGroup.obsolete=true
	taskSystem:createAnimation("tutorialEnd")
	level:OnTutorialComplete()
end

levelDesc.old_handleTrigger = DelLevel.handleTrigger

function levelDesc:handleTrigger(trigger, data)
	if (trigger == "startTutorial") then
		self:startTutorial()
		--print("tutorial started")
	elseif (trigger == "endTutorial") then
		self:endTutorial()
		--print("tutorial ended")
	elseif (trigger == "tempFunction") then -- TO DO remove
		level:OnTutorialAccepted()
		level:startTutorial()
	else
		if (self.tutorialActive) then
			if (trigger == "doHintArrow") then
				--GH.assert(data.params)
				local params = data.params
				params = string.trim(params) -- Trim whitespace
				local ings = string.split(params, ",")
				local name = ""

				if (#ings > 1) then
					self.tutorialHintArrowIdx = 1
					self.tutorialHintArrowObjects = {}

					for _,v in ipairs(ings) do
						v = string.trim(v) -- Trim whitespace
						table.push_back(self.tutorialHintArrowObjects, v)
						player:removeNeverShowHint(v)
					end
					name = self.tutorialHintArrowObjects[1]
				else
					name = params
				end

				local item
				if (name == "tutorialCustomer") then
					item = self.currentGroup.overheadObject
				else
					item = self:getSpriteExt(name)
				end

				GH.assert(item, "Item not found: \""..name.."\"")
				doHintArrow(item, name)

			elseif (trigger == "setTutorialState") then -- old
				self.tutorialState = data.params
			elseif (trigger == "fireSpawnTrigger") then -- used
				local params = tryParse(data.params)
				--GH.assert(isTable(params))
				params.fromCustomerList = false
				self:fireTrigger("spawn", params)
				self.tutorialOrder = params.order
				--print("trigger fired")
			elseif (trigger == "showCustomersMood") then
				if (self.currentGroup  ~= nil) then
					self.currentGroup.moodForceShow = true
				end
			elseif (trigger == "hideCustomersMood") then
				if (self.currentGroup  ~= nil) then
					self.currentGroup.moodForceShow = false
				end
			elseif (trigger == "restoreCustomerEating") then
				self:resumeCustomerEating()
			end
		end
	end

	if (levelDesc.old_handleTrigger) then
		return levelDesc.old_handleTrigger(self, trigger, data)
	else
		return self.class.handleTrigger(self, trigger, data)
	end

end

function levelDesc:disableAllObjects()
	local objs = self:getObjects()
	for _,v in ipairs(objs) do
		if (v.old_clickable == nil) then
			v.old_clickable = v.clickable == true or v.additionalClick1 ~= nil
		end
		v.clickable = false
	end

	local tray = self:getTray(hero)
	if (tray) then
		if (tray.old_clickable == nil) then
			tray.old_clickable = tray.old_clickable or (tray.clickable == true)
		end
		tray.clickable = false
	end
end

function levelDesc:restoreAllObjects()
	local objs = self:getObjects()
	for _,v in ipairs(objs) do
		v.clickable = v.old_clickable
	end

	local tray = self:getTray(hero)
	if (tray) then
		tray.clickable = tray.old_clickable
	end
end

function doHintArrow(obj, id, offset)
	GH.assert(obj)
	local hintObject = obj
	table.insert(level.hintObjectsToRestore,hintObject)
	obj.old_onClick = obj.onClick or obj.old_onClick or function() end
	obj.onClick = onArrowObjectClick
	Level:placeHintArrow(obj)
	level:disableAllObjects()
	obj.clickable = true
end

function levelDesc:interruptCustomerEating()
	customerEatingInterrupted = true
	self.currentGroup.state = "None"
end

function levelDesc:resumeCustomerEating()
	self.currentGroup.state = "Eating"
	customerEatingInterrupted = false
end

-- events
function levelDesc.onMessageClick(self, command, dialogId)
	if (dialogId == "TUTORIAL_QUESTION") then
		if (command == "no") then
			self.tutorialActive = false
			taskSystem:createAnimation("tutorialRefuse")
			level:OnTutorialRefused()
		elseif (command == "yes") then
			level:OnTutorialAccepted()
			self:startTutorial()
		end
	else
		--self:endTutorial()
	end
end

function levelDesc:onCustomerGroupStateEnter(customerGroup, state)
	self.currentGroup = customerGroup
	if (self.tutorialActive) then
		if (state == "WalkingToTable") then
			--
		elseif (state == "Thinking") then
			--
		elseif (state == "Ordering") then
			taskSystem:createAnimation("tutorial3")
		elseif (state == "Eating") then
			if (not customerEatingInterrupted) then
				taskSystem:createAnimation("tutorial6") --
				self.currentGroup.moodForceShow = true
				self:interruptCustomerEating()
			end
		elseif (state == "Paying") then
			--
		elseif (state == "LookingForCounterPositionToPay") then
			self.currentGroup.moodForceShow = true
			taskSystem:createAnimation("tutorial7")
		elseif (state == "Leaving") then
			self.currentGroup.moodForceShow = true
			taskSystem:createAnimation("tutorial8")
		end
	end
end

function levelDesc:onCustomerGroupStateLeave(customerGroup, state)
	self.currentGroup = customerGroup

	if (self.tutorialActive) then
		if (state == "Eating") then

		end
	end
end

function onArrowObjectClick(obj)
	obj.old_onWorkFinish = obj.onWorkFinish
	obj.onWorkFinish = arrowObject_onWorkFinish
	obj.onClick = obj.old_onClick
	obj:onClick()
	obj.clickable = false
	level:removeHintArrow(obj)

	if (level.tutorialHintArrowObjects and #level.tutorialHintArrowObjects > 1 and
		level.tutorialHintArrowIdx < #level.tutorialHintArrowObjects)
	then
		local idx = level.tutorialHintArrowIdx + 1
		level.tutorialHintArrowIdx = idx

		local name = level.tutorialHintArrowObjects[idx]
		local item

		if (name == "tutorialCustomer") then
			item = level.currentGroup.overheadObject
		else
			item = level:getSpriteExt(name)
		end

		GH.assert(item)
		doHintArrow(item)
	end
end

function arrowObject_onWorkFinish(obj, task)
	if(level.tutorialActive) then
		if (obj.name == firstOrderedProduct) then
			taskSystem:createAnimation("tutorial4_2")
		elseif (obj.name == lastOrderedProduct) then
			taskSystem:createAnimation("tutorial5_2")
		elseif (obj.name == "table-a:2" and obj.plateState == "dirty") then
			taskSystem:createAnimation("tutorial11")
		end
	end
	obj.onWorkFinish = obj.old_onWorkFinish
	obj:onWorkFinish(task)
end

function dummy_onDoneEating()

end

-- aux
function string.trim(s)
	return string.match(s, "^%s*(.*%S)") or ""
end
