doRoomFiles('room2')

levelDesc = levelDesc or {}
levelDesc.hasEventBar = true

--$$$
--Everything above or below the delimiters will be ignored by the tool
--Between the delimiters, only non-function elements of levelDesc will be maintained.
levelDesc.autoStartShift = true
levelDesc.heroId = "tina"
levelDesc.values.maxTraySize = 6

levelDesc.customerChances = {
	biggie_snu_casual_pregnant = 7,
	elder_snu = 14,
	normal_snu_casual = 7,
}

levelDesc.trigger = {
	class = "TriggerSystem",
	triggers = {
		{delay = 0, firstOrderMenu = true, orderSize = 4, place = "table", size = 4, trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, firstOrderMenu = true, orderSize = 3, place = "table", size = 3, trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 26000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 14000, firstOrderMenu = true, orderSize = 4, place = "table", size = 4, trigger = "spawn", },
		{delay = 12000, firstOrderMenu = true, orderSize = 3, place = "table", size = 3, trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 26000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, firstOrderMenu = true, orderSize = 4, place = "table", size = 4, trigger = "spawn", },
		{delay = 12000, class = "GestureCustomerGroup", orderSize = 1, place = "specialstationqueue", trigger = "spawn", },
		{delay = 12000, class = "GestureCustomerGroup", orderSize = 1, place = "specialstationqueue2", trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, firstOrderMenu = true, orderSize = 3, place = "table", size = 3, trigger = "spawn", },
		{delay = 26000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 12000, firstOrderMenu = true, orderSize = 4, place = "table", size = 4, trigger = "spawn", },
		{delay = 12000, firstOrderMenu = true, orderSize = 3, place = "table", size = 3, trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },

	},
}

--$$$

default_old_l_preInitializeLevel = DelLevel.preInitializeLevel

function levelDesc.preInitializeLevel(self)
	if (default_old_l_preInitializeLevel) then
		default_old_l_preInitializeLevel(self)
	end

	level:getSpriteExt("gina").x = 2162
	level:getSpriteExt("gina").y = 1418

	level:getSpriteExt("tina").x = 1015
	level:getSpriteExt("tina").y = 1214
end

local tableOrderTableName = "table_bag"
local productPool = {
   "#compound2-1-a#compound2-2-a#compound2-4-a",
   "#compound2-1-a#compound2-3-a#compound2-4-a",
   "#compound2-1-b#compound2-2-b#compound2-4-b",
   "#compound2-1-b#compound2-3-b#compound2-4-b",
   "#compound2-1-c#compound2-2-c#compound2-4-c",
   "#compound2-1-c#compound2-3-c#compound2-4-c",
}

default_old_l_oninitialized = DelLevel.onInitialized
function levelDesc.onInitialized(self)
    if (default_old_l_oninitialized) then
        default_old_l_oninitialized(self)
    end
    level:getSpriteExt(tableOrderTableName).usedInGameplay = false

    level:getSpriteExt("gina").stationaryActive = true
	level:getSpriteExt("tina").stationaryActive = false
	level.cleaner = level:getSpriteExt("gina")
end

levelDesc.eventDesc = {
    class = "TableOrderEvent",
    autoStart = true,
    challengeBarText = "EVENT2_15",

    -- Timing
    availableTimeToServeAllCustomers = 125000,
    timeBeforeFirstOrder = 0,
    minimumTimeBetweenOrders = 500,
    maximumTimeBetweenOrders = 500,

    -- Score
    scoreAllDone = 0,
    scorePerDeliveredProduct = 0,

    -- Settings
    productPool = productPool,
    floatersFromHero = true,
    randomizeCustomerOrder = true,
    doOrdersForEmptyCustomersFirst = true,
    onlyOneOrderAtATime = true,
    numProductsPerOrder = 1,
    balloonSlotCount = 4,
    horizontalBalloonSlotCount = 2,

    bar = "progressbar_default",
    items =
    {
        { obj=tableOrderTableName, barPos={x=33, y=-70}, numOrders=25 },
    },

    onProductsAddedToOrder = function(self, item)
        if (not self.tableHintShown) then
            self.tableHintShown = true
            self:showHint(item.obj)
        end
        event.eating = false
    end,
}