doRoomFiles('room6')
dofile("script/events/TableOrderEvent.lua")
levelDesc = levelDesc or {}
levelDesc.hasEventBar = true
levelDesc.values.maxTraySize = 6
levelDesc.autoStartShift = true
--$$$
--Everything above or below the delimiters will be ignored by the tool
--Between the delimiters, only non-function elements of levelDesc will be maintained.

levelDesc.customerChances = {
	normal_snu_casual = 3,
	yuppie_casual = 7,
	normal_snu = 2,
	children_kid = 3,
	biggie_kid = 0,
	elder_snu = 4,
	biggie_snu = 2,
	biggie_snu_casual_pregnant = 2,
}

levelDesc.trigger = {
	class = "TriggerSystem",
	triggers = {
		{delay = 0, size = 3, orderSize = 3, place = "table", trigger = "spawn", },
		{delay = 12000, size = 3, orderSize = 3, place = "table", trigger = "spawn", },
		{delay = 12000, class = "CarerCustomerGroup", customers = {traits = "emily_carer", }, entrance = {x = 743, y = 604, }, gender = "female", orderSize = 1, place = "babyattention", trigger = "spawn", },
		{delay = 24000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 3, orderSize = 3, place = "table", trigger = "spawn", },
		{delay = 12000, class = "CarerCustomerGroup", customers = {traits = "emily_carer", }, entrance = {x = 743, y = 604, }, gender = "female", orderSize = 1, place = "babyattention", trigger = "spawn", },
		{delay = 12000, size = 4, orderSize = 4, place = "table", trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 20000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, class = "CarerCustomerGroup", customers = {traits = "emily_carer", }, entrance = {x = 743, y = 604, }, gender = "female", orderSize = 1, place = "babyattention", trigger = "spawn", },
		{delay = 12000, size = 3, orderSize = 3, place = "table", trigger = "spawn", },
		{delay = 12000, size = 4, orderSize = 4, place = "table", trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 20000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, class = "CarerCustomerGroup", customers = {traits = "emily_carer", }, entrance = {x = 743, y = 604, }, gender = "female", orderSize = 1, place = "babyattention", trigger = "spawn", },
		{delay = 12000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 1, orderSize = 2, place = "counter", trigger = "spawn", },
		{delay = 6000, size = 4, orderSize = 4, place = "table", trigger = "spawn", },
		{delay = 12000, size = 4, orderSize = 4, place = "table", trigger = "spawn", },
	},
}

--$$$
local actors = {"mary_lynn"}
local tableOrderTableName = "table-c:2"

local productPool = {
 "#single7-a", "#single7-b", "#single7-c",
 "#single8-a", "#single8-b", "#single8-c",
 "#single9-a",
 "#restock2-a", "#restock2-b", "#restock2-c",
 "#compound2-1-a#compound2-3-a", "#compound2-1-b#compound2-3-b",
 "#compound2-1-a#compound2-2-a#compound2-3-a", "#compound2-1-b#compound2-2-b#compound2-3-b",
 "#compound3-1-a#compound3-2-a#compound3-5-a", "#compound3-1-b#compound3-2-b#compound3-5-b",
 "#compound3-1-a#compound3-3-a#compound3-5-a", "#compound3-1-b#compound3-3-b#compound3-5-b",
 "#compound3-1-a#compound3-4-a#compound3-5-a", "#compound3-1-b#compound3-4-b#compound3-5-b",
 "#timer2-a.ready", "#timer2-b.ready", "#timer2-c.ready",
}

default_old_l_oninitialized = levelDesc.onInitialized
function levelDesc.onInitialized(self)
 if (default_old_l_oninitialized) then
  default_old_l_oninitialized(self)
 end
 level:getSpriteExt(tableOrderTableName).usedInGameplay = false
end

levelDesc.eventDesc =
{
 class = "TableOrderEvent",
 autoStart = true,

 -- Timing
 availableTimeToServeAllCustomers = 268500,
 timeBeforeFirstOrder = 10000,
 minimumTimeBetweenOrders = 19500,
 maximumTimeBetweenOrders = 22500,

 -- Score
 scoreAllDone = 0,
 scorePerDeliveredProduct = 0,

 -- Settings
 productPool = productPool,
 floatersFromHero = true,
 randomizeCustomerOrder = true,
 doOrdersForEmptyCustomersFirst = true,
 onlyOneOrderAtATime = false,
 numProductsPerOrder = 1,
 balloonSlotCount = 4,
 horizontalBalloonSlotCount = 2,

 bar = "progressbar_big",
 items =
 {
  { obj=tableOrderTableName, barPos={x=33, y=-70}, numOrders=12 },
 },
 initActors = function(self)
  if (not self.guests) then
   self.guests = {}
           for _,v in ipairs(actors) do
               local guest = level:resolveActor(v)
               table.push_back(self.guests, guest)
           end
  end
 end,
 onProductsAddedToOrder = function(self, item)
  if (not self.tableHintShown) then
   self.tableHintShown = true
   self:showHint(item.obj)
  end
  self:initActors()
  for _,v in ipairs(self.guests) do
   v:playAnimation("sit_order_right", -1)
  end
  event.eating = false
 end,
 onProductsDelivered = function(self, order, matched, owner)
  TableOrderEvent.onProductsDelivered(self, order, matched, owner)
  local consume = owner.consumeAnimation
  assert(consume)
  if (owner.obj and owner.obj.name == tableOrderTableName) then
   event.eating = true
   if (consume == "sit_eat" or consume == "sit_drink") then
    owner.obj.plateState = "busy"
   end
   self:initActors()
   for _,v in ipairs(self.guests) do
    v:playAnimation(consume, -1)
   end
  end
 end,
}

characterTypes.mary_lynn.playIdleAnimations = false
