﻿doRoomFiles("room1")
levelDesc.values.maxTraySize = 3
levelDesc.autoStartShift = false
levelDesc.isGamePlayLevel = false

-------------------------------------------------------------
default_old_l_oninitialized = DelLevel.onInitialized
function levelDesc.onInitialized(self)
    if (default_old_l_oninitialized) then
        default_old_l_oninitialized(self)
    end
end
function levelDesc:handleTrigger(trigger, data)
    if (trigger == "StartStoryGameplay") then
        self:startStoryGameplay()
    elseif (trigger == "EndStoryGameplay") then
        self:endStoryGameplay()
    elseif (self.tutorialActive) then
        if (trigger == "doHintArrow") then
            local params = data.params
            params = string.trim(params) -- Trim whitespace
            local ings = string.split(params, ",")
            local name = ""
                if (#ings > 1) then
                    self.tutorialHintArrowIdx = 1
                    self.tutorialHintArrowObjects = {}
                    for _,v in ipairs(ings) do
                        v = string.trim(v) -- Trim whitespace
                        table.push_back(self.tutorialHintArrowObjects, v)
                        player:removeNeverShowHint(v)
                    end
                    name = self.tutorialHintArrowObjects[1]
                else
                    name = params
                end
            local item
            item = self:getSpriteExt(name)
            GH.assert(item, "Item not found: \""..name.."\"")
            doHintArrow(item, name)
        elseif (trigger == "SetReceiverActor") then
            self.tutorialState = data.params
        elseif (trigger == "setTutorialState") then
            self.tutorialState = data.params
        end
    end
    if (levelDesc.old_handleTrigger) then
        return levelDesc.old_handleTrigger(self, trigger, data)
    else
        return self.class.handleTrigger(self, trigger, data)
    end
end
function string.trim(s)
    return string.match(s, "^%s*(.*%S)") or ""
end
function levelDesc:startStoryGameplay()
    self.tutorialState = "StartStoryGameplay"
    self.tutorialActive = true
    self.fetchObjectPrefix = "chapter5_day10_interaction"
    self.numberOfSpots = 1
    self.spotsClicked = 0
    self.finishGameplay = false
    self.inputAlwaysEnabled = true
    self.currentMessageId = ""
    self:disableAllObjects(false)
    self.isGamePlayLevel = false
    level:showClickToContinueMinigame(1500,"MINIGAME_TIP_DELIVER2")
    taskSystem:createAnimation("StartStoryGameplay")
    level:setSkipButtonMinigame("EndStoryGameplay")
  	level:showSkipButtonMinigame()
end
function doHintArrow(obj, id, offset)
    obj.old_onClick = obj.onClick or obj.old_onClick or function() end
    obj.onClick = onArrowObjectClick
    Level:placeHintArrow(obj)
    level:disableAllObjects(false)
    obj.clickable = true
end
function onObjectClick(obj)
    if (level.tutorialActive) then
      level:hideClickToContinueMinigame()
      obj.hasBeenClicked = true
      level:disableAllObjects(true)
      taskSystem:createAnimation(obj.name)
    end
end
function levelDesc:checkCompletitionState()
    if (level.tutorialActive) then
      level:disableAllObjects(false)
      if(level.finishGameplay == true)then
        level:disableAllObjects(true)
        self:endStoryGameplay()
      else
        level:showClickToContinueMinigame(1500,"MINIGAME_TIP_DELIVER2")
      end
    end
end

function onArrowObjectClick(obj)
    level:removeHintArrow(obj)
end
function levelDesc:disableAllObjects(disableAlsoSpots)
    local objs = self:getObjects()
    level.spotsClicked = 0
    for _,v in ipairs(objs) do
            if (v.old_clickable == nil) then
                v.old_clickable = v.clickable == true or v.additionalClick1 ~= nil
            end
            v.clickable = false
            --The objects with the fetchObjectPrefix will be clickable.
            if(disableAlsoSpots == false and string.contains(v.name, level.fetchObjectPrefix))then
                v.clickable = true
                v.old_onClick = v.onClick or v.old_onClick or function() end
                v.onClick = onObjectClick
                if(v.hasBeenClicked)then
                  level.spotsClicked = level.spotsClicked + 1
                end
            end
    end
    if(level.numberOfSpots == level.spotsClicked) then
      level.finishGameplay = true
    end
    local tray = self:getTray(hero)
    if (tray) then
        if (tray.old_clickable == nil) then
            tray.old_clickable = tray.old_clickable or (tray.clickable == true)
        end
        tray.clickable = false
    end
end
function levelDesc:restoreAllObjects()
    local objs = self:getObjects()
    for _,v in ipairs(objs) do
            v.clickable = v.old_clickable
    end
    local tray = self:getTray(hero)
    if (tray) then
        tray.clickable = tray.old_clickable
    end
end
function levelDesc:endStoryGameplay()
    self.tutorialState = "Done"
    self.tutorialActive = false
    self.inputAlwaysEnabled = false
  --  self:restoreAllObjects()
  --  self.isGamePlayLevel = true
	level:hideSkipButtonMinigame()
    taskSystem:createAnimation("EndStoryGameplay")
end
