
local sliceSetup = {
	diamondcoins_back = {
		borderLeft = 34,
		borderTop = 30,
		borderRight = 34,
		borderBottom = 30
	},
	description_bubble = {
		borderLeft = 25,
		borderTop = 25,
		borderRight = 25,
		borderBottom = 25
	},
	high_score = {
		borderLeft = 44,
		borderTop = 42,
		borderRight = 44,
		borderBottom = 45
	},
}

dialogs.levelStart = {
	class="LevelStartDialog",
	doDarkenBackground=true,
	--popup=true, modal=false,
	setup = setups.dialog_default,
	width=1600, height=1400,
	anchor="center",
	components = {

-- Highscore
		{class="BorderSprite", name="score_layout", x=0, y=-445, image="high_score:shift_start_ui", anchor="center", width=700, setup=sliceSetup.high_score, children={
			{class="Label", name="score_text", x=-10, y=-9, setup=setups.dialog_header_text, anchor="right", textSize=54, textId="HIGHSCORE"},
			{class="Label", name="score", x=10, y=-9, setup=setups.txt, anchor="left", textSize=54, color0="white"},
		}},

-- The Stars
		{class="GameNode", name="star_layout", anchor="center", y=-250, children={
			{class="GameNode", name="1star_layout", x=-350, y=0, anchor="center", children={
				{class="Sprite", name="1star_empty", image="star_empty:shift_start_ui", anchor="center"},
				{class="Sprite", name="1star", image="star:shift_start_ui", y=-4, anchor="center"},

				{class="BorderSprite", name="1reward_layout", image="diamondcoins_back:shift_start_ui", y=150, width=250, anchor="center", setup=sliceSetup.diamondcoins_back, children={
					{class="Label", name="reward1star_label", x=0, y=-4, setup=setups.txt, anchor="center", text="100", textSize=46, anchor="center", color0="white"},
					{class="Sprite", name="coin1", image="icon_coin:ui", x=100, y=0, anchor="center"},
					{class="Sprite", name="diamond_empty1", image="diamond_empty_little:shift_start_ui", x=0, y=0, anchor="center", children={
						{class="Sprite", name="diamond1", image="diamond_little:shift_start_ui", anchor="center"},
					}},
				}}
			}},

			{class="GameNode", name="2star_layout", x=0, y=0, anchor="center", children={
				{class="Sprite", name="2star_empty", image="star_empty:shift_start_ui", anchor="center"},
				{class="Sprite", name="2star", image="star:shift_start_ui", y=-4, anchor="center"},

				{class="BorderSprite", name="2reward_layout", image="diamondcoins_back:shift_start_ui", y=150, width=250, anchor="center", setup=sliceSetup.diamondcoins_back, children={
					{class="Label", name="reward2star_label", x=0, y=-4, setup=setups.txt, anchor="center", text="100", textSize=46, anchor="center", color0="white"},
					{class="Sprite", name="coin2", image="icon_coin:ui", x=100, y=0, anchor="center"},
					{class="Sprite", name="diamond_empty2", image="diamond_empty_little:shift_start_ui", x=0, y=0, anchor="center", children={
						{class="Sprite", name="diamond2", image="diamond_little:shift_start_ui", anchor="center"},
					}},
				}}
			}},

			{class="GameNode", name="3star_layout", x=350, y=0, anchor="center", children={
				{class="Sprite", name="3star_empty", image="star_empty:shift_start_ui", anchor="center"},
				{class="Sprite", name="3star", image="star:shift_start_ui", y=-4, anchor="center"},

				{class="BorderSprite", name="3reward_layout", image="diamondcoins_back:shift_start_ui", y=150, width=250, anchor="center", setup=sliceSetup.diamondcoins_back, children={
					{class="Label", name="reward3star_label", x=0, y=-4, setup=setups.txt, anchor="center", text="100", textSize=46, anchor="center", color0="white"},
					{class="Sprite", name="coin3", image="icon_coin:ui", x=100, y=0, anchor="center"},
					{class="Sprite", name="diamond_empty3", image="diamond_empty_little:shift_start_ui", x=0, y=0, anchor="center", children={
						{class="Sprite", name="diamond3", image="diamond_little:shift_start_ui", anchor="center"},
					}},
				}}
			}},
		}},

-- The Teaser
		{class="BorderSprite", name="description_layout", image="description_bubble:shift_start_ui", x=-147, y=14, anchor="top", width=860, height=320, setup=sliceSetup.description_bubble, children={
			{class="GameNode", name="teaser_group", anchor="top", children={
				{class="Label", name="teaser_title", x=0, y=-10, setup=setups.dialog_header_text, anchor="bottom", maxWidth=790, wrapStyle="word", align="center"},
				{class="Label", name="teaser", x=0, y=10, setup=setups.paleblue_txt, anchor="top", textSize=40, maxWidth=820, wrapStyle="word", align="center", lineHeight=44},
			}},
			{class="Sprite", name="challenge_icon", x=415, y=162, anchor="center"}
		}},

-- The Mouse & Diamond
		{class="BorderSprite", name="mouse_and_diamond_layout", image="description_bubble:shift_start_ui", x=460, y=14, anchor="top", width=220, height=320, setup=sliceSetup.description_bubble, children={
			{class="Sprite", name="diamond", image="diamond_get_empty:shift_start_ui", x=0, y=95, anchor="center", children={
				{class="Sprite", name="reward", image="diamond_get:shift_start_ui", anchor="center"}
			}},

			{class="Sprite", name="mouse_back", image="mouse_empty:shift_start_ui", x=0, y=220, anchor="center", children={
				{class="Sprite", name="mouse", image="mouse:shift_start_ui", anchor="center"}
			}}
		}},

-- Play Button
		{class="Button", name="play", x=0, y=492, anchor="center", setup=setups.stdbtn_green,
			label={class="Label", name="txt_button", setup=setups.stdbtn_green_txt, textId="BUTTON_PLAY"}
		},

-- Border/Header stuff
		{class="Button", name="close", setup=setups.btn_close},
		{class="Label", name="dialogTitle", anchor="center", textId="DAILY_TITLE", setup=setups.dialog_header_text},
	},
}
