﻿scenes.metagame = {
	class = "MetagameScene",
	showAfterEpisode = 1,
	showAfterShift = 6,
	roundAllPositions = true,
	scaleToFitScreen = false,
	numVisibleSlots = 5,
	slotSpacing = 0,
    productsSpacing = 40,
	productMargin = 36,
	colorSpacing = 16,
	colorMargin = 36,
	components =
	{
		{class ="Sprite", name="ui", SkipScreenshot=true, anchor = "topLeft",
			children =
            {
				{class="Sprite", name="bg", SkipScreenshot=true, anchor = "left", image="backdrop_shadow:metagame_ui", x = 0, width = GH.getUnitWidth(), y = GH.getUnitHeight()},
                {class="GameNode", name="hud_counter_group", setup=setups.hud_currency, y = 120},

				{class="GameNode", name = "hud_slot", x=GH.getUnitWidth() / 2.0, y=GH.getUnitHeight()+323.2, height=323.2, anchor = "bottom", image="debug-fill:dev",children={
					{class="SwipeSpriteLight", name="scroll", clickSound="button:ui", anchor = "bottom", setup=setups.btn, anchor = "bottom",
						stops = { 0, 250, 500, 750, 1000, 1250, 1500, 1750},
						scrollLimitMin=-1750,
						scrollLimitMax=0,
						needlePosition=0,
						clipRect={x=-625, y=-307, width=1250, height=307},
	        		 	children={
	        			},
	        		 },
					 {class="Button", name="scrollLeft", y = -70, anchor="bottomRight", image="arrow_left:ui", setup=setups.btn},
					 {class="Button", name="scrollRight", y = -70, anchor="bottomLeft", image="arrow_right:ui", setup=setups.btn},

					 {class="Button", name="take_screenshot", x=(GH.getUnitWidth() / 2.0) -15, y = -15, image="button_screenshot:ui", anchor="bottomRight", setup=setups.btn},
				}},
				{class="Button", name="slotP", x = 0, y =-143, width = 250, height=323.2, anchor="center", setup=setups.btn,
                    highlightImage="slot_highlight:metagame_ui", hasDisabledFrame = false,
				 	children =
					{
		                {class="Sprite", name="slot", x=0, y=-39, anchor="center", image="product_selector_circle_first:metagame_ui", setup=setups.btn,
		                    children =
		                    {
								{class="Sprite", name="slot_bg", x=0, y=0, anchor="center", image = "icon_bg:metagame_ui",setup=setups.btn},
								{class="Sprite", name="slot_icon", x=0, y=0, anchor="center", image = "icon_s1_p1_c0:metagame_ui",setup=setups.btn},
		                        {class="Sprite", name="slot_lock", x=0, y=-10, anchor="center", image = "lock:metagame_ui",setup=setups.btn},
								{class="Sprite", name="slot_new", image="collectables_left:map_ui", x=69, y=-77.2, anchor="center",
									children=
									{
										{class="Label", name="slot_new_text", setup=setups.txt, x=0.5, y=-5, color0=0xffffff, anchor="center",textSize=42, text="!"},
									}
								},

								{class="BorderSprite", name="slot_button_edit", x=0, y=186, anchor="bottom", setup=setups.btn_metagame,
									children={{class="Sprite", name="slot_button_edit_icon", x=0, y=-32, anchor="bottom", image = "button_edit_icon:metagame_ui"}}
								},
								{class="BorderSprite", name="slot_button_level", x=0, y=186, anchor="bottom",  setup=setups.btn_metagame,
									children = {
										{class="Label", name="slot_button_level_label", setup=setups.btn_metagame_txt, y = -70, anchor="center", textId="DAY_START_HEADER"},
									}
								},
		                    },
						},
	                },
				},

				{class = "GameNode", name="hud_product", x = 352, y=GH.getUnitHeight()+323.2, height = 323.2, anchor="bottomLeft",
					children =
					{
						{class="BorderSprite", name="product_selector", y = -27, height = 271, width = 542, image="product_selector_bg:metagame_ui", anchor="bottomLeft",
						 borderLeft=130, borderRight=130, borderTop=0, borderBottom=0,
							children =
							{
								{class="Button", name="product", x = 36.5, y =-144 , image = "icon_s1_p1_c0:metagame_ui", anchor="left", setup=setups.btn,
									children =
									{
										{class="Sprite", name="product_selector_circle", x = 100, y = 0, image="product_selector_circle:metagame_ui", anchor="center"},
										{class="Sprite", name="product_selector_highlight", x = 100, y = 0, image="product_selector_highlight:metagame_ui", anchor="center"},
										{class="Sprite", name="product_selector_price", x = 102, y = 117, image="product_selector_price:metagame_ui", anchor="center"},
										{class="Label", name="product_price", x = 121, y = 110, anchor="center", setup=setups.price_txt,rotation=-5},


									}
								}, --Button product
							}
						}, -- BorderSprite product_selector

						{ class="Button", name="button_ok", x=647, y=-162, anchor="center", width = 200, setup=setups.stdbtn,
						children =
							{{class="Sprite", name="button_check_icon", x = 0, y = -17, anchor="center", image="button_check_icon:ui"},},
						},
						{ class="Button", name="button_close", x=-97, y=-162, anchor="center", width=200, setup=setups.stdbtn,
							children = {{class="Sprite", name="close_icon",x=0, y=-10,image="button_close_icon:ui",anchor="center"}}
						},
						--{class="Button", name="button_close", x=-97, y=-162, anchor="center", width = 200, setup=setups.btn_close,},

					}
				},
				{class="Button", name="back", setup=setups.btn_back},

			}
		},

		{class ="GameNode", name="ui_screenshot", anchor = "topLeft",
			children =
			{
				{class="Label", name="link", x = 0+50, y = GH.getUnitHeight()-25,setup=setups.txt, color0=0xfffffff, anchor = "bottomLeft", textSize = 75, visible=false},
				{class="Sprite", name="logo", x = GH.getUnitWidth()-10, y = GH.getUnitHeight()+40, image="logo:ui", anchor = "bottomRight", scale=0.5, visible=false},
			}
		},
	},
}

blueprints.metagame_color_selector =
{
	class="BorderSprite", name="color_selector",x = 100, y = -134, width=200, height = 205, image="color_selector_bg:metagame_ui",
	anchor="bottom", scale = 0,
	borderLeft=98, borderRight=98, borderTop=0, borderBottom=0,
	children=
	{
		{class="Sprite", name="color_selector_triangle", x = 0, y = -15.8, image="color_selector:metagame_ui", anchor="center"},
	}
}

blueprints.metagame_color =
{
	class="Button", name="color", x = -69, y =-114.2 , image = "icon_c1:metagame_ui", anchor="left", width = 136, height = 138, setup=setups.btn,
		children =
		{
			{class="Sprite", name="color_selector_highlight", x = 0, y = 0, image="color_selector_highlight:metagame_ui", anchor="center"},
		},
}

metagameObjects =
{
    s1 = --WALL
    {
		visibleAfterRoom = 1,
		visibleAfterDay = 4,
        products =
        {
            {productName="s1_p2", colors={"s1_p2_c0"}, price = 1, reaction="patricks1p1"},
            {productName="s1_p1", colors={"s1_p1_c0"}, price = 3, reaction="patricks1p2"},
            {productName="s1_p3", colors={"s1_p3_c0"}, price = 3, reaction="patricks1p3"},
        }
    },
    s2 = -- RUG
    {
		visibleAfterRoom = 1,
		visibleAfterDay = 4,
        products =
        {
            {productName="s2_p1", colors={"s2_p1_c4","s2_p1_c1","s2_p1_c3"}, price = 3, reaction="patricks2p1"},
            {productName="s2_p2", colors={"s2_p2_c6","s2_p2_c1","s2_p2_c5"}, price = 5, reaction="patricks2p2"},
            {productName="s2_p3", colors={"s2_p3_c4","s2_p3_c1","s2_p3_c3"}, price = 5, reaction="patricks2p3"},
        }
    },
    s3 =  --WARDROVE
    {
		visibleAfterRoom = 1,
		visibleAfterDay = 4,
        products =
        {
            {productName="s3_p1", colors={"s3_p1_c9","s3_p1_c7","s3_p1_c8"}, price = 4, reaction="francoiss3p1"},
            {productName="s3_p2", colors={"s3_p2_c4","s3_p2_c1","s3_p2_c3"}, price = 8, reaction="francoiss3p2"},
            {productName="s3_p3", colors={"s3_p3_c10","s3_p3_c7","s3_p3_c8"}, price = 8, reaction="francoiss3p3"},
        }
    },
    s4 = -- CHANGER
    {
		visibleAfterRoom = 1,
		visibleAfterDay = 6,
        products =
        {
            {productName="s4_p1", colors={"s4_p1_c9","s4_p1_c7","s4_p1_c8"}, price = 4, reaction="patricks4p1"},
            {productName="s4_p2", colors={"s4_p2_c4","s4_p2_c1","s4_p2_c3"}, price = 9, reaction="patricks4p2"},
            {productName="s4_p3", colors={"s4_p3_c10","s4_p3_c7","s4_p3_c8"}, price = 9, reaction="patricks4p3"},
        }
    },
    s5 = -- ROCKING CHAIR
    {
		visibleAfterRoom = 2,
		visibleAfterDay = 5,
        products =
        {
            {productName="s5_p1", colors={"s5_p1_c11","s5_p1_c8","s5_p1_c3"}, price = 5, reaction="paiges5p1"},
            {productName="s5_p2", colors={"s5_p2_c11","s5_p2_c1","s5_p2_c3"}, price = 10, reaction="paiges5p2"},
            {productName="s5_p3", colors={"s5_p3_c11","s5_p3_c7","s5_p3_c3"}, price = 10, reaction="paiges5p3"},
        }
    },
    s6 = -- LAMP
    {
		visibleAfterRoom = 3,
		visibleAfterDay = 5,
        products =
        {
            {productName="s6_p1", colors={"s6_p1_c4","s6_p1_c1","s6_p1_c3"}, price = 4, reaction="patricks6p1"},
            {productName="s6_p2", colors={"s6_p2_c6","s6_p2_c8","s6_p2_c3"}, price = 9, reaction="patricks6p2"},
            {productName="s6_p3", colors={"s6_p3_c11","s6_p3_c12","s6_p3_c3"}, price = 9, reaction="patricks6p3"},
        }
    },
    s7 = -- PLAYGARDEN
    {
		visibleAfterRoom = 3,
		visibleAfterDay = 10,
        products =
        {
            {productName="s7_p1", colors={"s7_p1_c4","s7_p1_c12","s7_p1_c3"}, price = 6, reaction="francoiss7p1"},
            {productName="s7_p2", colors={"s7_p2_c12","s7_p2_c1","s7_p2_c4"}, price = 12, reaction="francoiss7p2"},
            {productName="s7_p3", colors={"s7_p3_c4","s7_p3_c5","s7_p3_c8"}, price = 12, reaction="francoiss7p3"},
        }
    },
    s8 = -- CURTAINS
    {
		visibleAfterRoom = 4,
		visibleAfterDay = 3,
        products =
        {
            {productName="s8_p1", colors={"s8_p1_c3","s8_p1_c6","s8_p1_c13"}, price = 3, reaction="patrickss8p1"},
            {productName="s8_p2", colors={"s8_p2_c1","s8_p2_c4","s8_p2_c13"}, price = 7, reaction="patrickss8p2"},
            {productName="s8_p3", colors={"s8_p3_c6","s8_p3_c8","s8_p3_c13"}, price = 7, reaction="patrickss8p3"},
        }
    },
    s9 = -- WOODEN ANIMAL
    {
		visibleAfterRoom = 4,
		visibleAfterDay = 10,
        products =
        {
            {productName="s9_p1", colors={"s9_p1_c12","s9_p1_c8","s9_p1_c17"}, price = 6, reaction="emilypaiges9p1"},
            {productName="s9_p2", colors={"s9_p2_c14","s9_p2_c1","s9_p2_c15"}, price = 11, reaction="emilys9p2"},
            {productName="s9_p3", colors={"s9_p3_c2","s9_p3_c10","s9_p3_c16"}, price = 11, reaction="emilys9p3"},
        }
    },
    s10 = -- PLUSHIES
    {
		visibleAfterDay = 5,
		visibleAfterRoom = 5,
        products =
        {
            {productName="s10_p1", colors={"s10_p1_c2","s10_p1_c3","s10_p1_c7"}, price = 7, reaction="patrickpaiges10p1"},
            {productName="s10_p2", colors={"s10_p2_c3","s10_p2_c4","s10_p2_c14"}, price = 13, reaction="francoiss10p2"},
            {productName="s10_p3", colors={"s10_p3_c4","s10_p3_c6","s10_p3_c7"}, price = 13, reaction="francoiss10p3"},
        }
    },
    s11 = -- PLANT
    {
		visibleAfterRoom = 5,
		visibleAfterDay = 10,
        products =
        {
            {productName="s11_p1", colors={"s11_p1_c2","s11_p1_c8","s11_p1_c12"}, price = 4, reaction="francoiss11p1"},
            {productName="s11_p2", colors={"s11_p2_c6","s11_p2_c8","s11_p2_c3"}, price = 8, reaction="francoiss11p2"},
            {productName="s11_p3", colors={"s11_p3_c13","s11_p3_c7","s11_p3_c3"}, price = 8, reaction="francoiss11p3"},
        }
    },
    s12 = -- DOUBLE TROLLEY
    {
		visibleAfterRoom = 6,
		visibleAfterDay = 10,
        products =
        {
            {productName="s12_p1", colors={"s12_p1_c2","s12_p1_c3","s12_p1_c8"}, price = 5, reaction="emilypatrickpaiges12p1"},
            {productName="s12_p2", colors={"s12_p2_c2","s12_p2_c1","s12_p2_c3"}, price = 10, reaction="emilypatrickpaiges12p2"},
            {productName="s12_p3", colors={"s12_p3_c6","s12_p3_c3","s12_p3_c17"}, price = 10, reaction="emilypatrickpaiges12p3"},

        }
    },
	s13 = --This BLUE CRADLE is given for FREE after playing 6-2
    {
		visibleAfterRoom = 6,
		visibleAfterDay = 2,
		isFree = true,
        products =
        {
            {productName="s13_p1", colors={"s13_p1_c0"}, price = 0},
        }
    },
	s14 = --This PINK CRADLE is given for FREE after playing 2-3
    {
		visibleAfterRoom = 2,
		visibleAfterDay = 3,
		isFree = true,
        products =
        {
            {productName="s14_p1", colors={"s14_p1_c0"}, price = 0},
        }
    },
	s15 = --This DIPPERS are given for FREE after playing 1-4
    {
		visibleAfterRoom = 2,
		visibleAfterDay = 10,
		isFree = true,
        products =
        {
            {productName="s15_p1", colors={"s15_p1_c0"}, price = 0},
        }
    },
    s16 = --This CHEST is given for FREE after playing 6-2 (cheat to move the chest from the blue cradle spot to the final spot)
    {
		visibleAfterRoom = 6,
		visibleAfterDay = 2,
		isFree = true,
        products =
        {
            {productName="s16_p1", colors={"s16_p1_c0"}, price = 0},
        }
    },
}
